﻿/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef CONTROL_INFO_H_
#define CONTROL_INFO_H_

#include "SampleCommon.h"
#include "../common/Vector2D.h"


#define CONTROL_INFO_MOVE_SPEED (10.0f)

class ControlInfo
{
public:
    static ControlInfo* GetInstance(void);

    ControlInfo(void);
    ~ControlInfo(void);

    Vector2D m_vMove;

private:
};

#endif
