/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/




#ifndef SCENE_ERROR_H_
#define SCENE_ERROR_H_

#include "SceneBase.h"

//
class SceneError : public SceneBase
{
public:
    static SceneBase* GetInstance(void);

    virtual ~SceneError(void);

    virtual void       Initialize(void);
    virtual void       Finalize  (void);
    virtual SceneBase* Update    (void);
    virtual void       Render    (void) const;

private:
    //
    SceneError           (void);         // Force GetInstance function.
    SceneError           (const SceneError&);
    SceneError& operator=(const SceneError&);
};


#endif  // end of SCENEERROR_H_
