﻿var TemplateSettings = function() {
}, url, obj, heads;
TemplateSettings.javaScriptPath = "template/js/common/", TemplateSettings.templateLibFileName = "manualLib.js", TemplateSettings.templateTocFileName = "tocData.js", TemplateSettings.templateTitleFileName = "title.html", TemplateSettings.settingAttrId = "data-reassemble", TemplateSettings.selectorTocFile = 'script[src$="' + TemplateSettings.templateTocFileName + '"]', TemplateSettings.documentRootPath = "contents/", TemplateSettings.selectorLibFile = 'script[src$="' + TemplateSettings.templateLibFileName + '"]', TemplateSettings.divTreePaneId = "contents_tree", TemplateSettings.styleTreePane = "treeitem_root", TemplateSettings.openIconPath = "template/img/icon_folder_open.png", TemplateSettings.closeIconPath = "template/img/icon_folder_close.png", TemplateSettings.fileIconPath = "template/img/icon_file.png", TemplateSettings.styleOpenTreeItemDiv = "treeitem_open", TemplateSettings.styleCloseTreeItemDiv = "treeitem_close", TemplateSettings.styleIconLineDiv = "listline", TemplateSettings.styleNoIconLineDiv = "listline_file", TemplateSettings.styleOpenTreeItemImg = "openfolder", TemplateSettings.styleCloseTreeItemImg = "closefolder", TemplateSettings.styleFileTreeItemImg = "file", TemplateSettings.styleHeaderLineSpan = "header", TemplateSettings.styleItemLineSpan = "item", TemplateSettings.styleSeparatorLine = "separator", TemplateSettings.foldedTreeItemAttrId = "data-folded", TemplateSettings.globalindexContentWidth = 265, TemplateSettings.globalindexToggleWidth = 15, TemplateSettings.globalindexPanePadH = 32, TemplateSettings.autoindexContentWidth = 250, TemplateSettings.autoindexToggleWidth = 15, TemplateSettings.autoindexFocusOffset = 15, TemplateSettings.autoindexContentPadW = 32, TemplateSettings.autoindexContentId = "autoindex_content", TemplateSettings.autoindexWrapperId = "autoindex_wrapper", TemplateSettings.autoindexTabId = "autoindex_tab", TemplateSettings.autoindexToggleId = "autoindex_toggle", TemplateSettings.autoindexToggleAttrId = "data-toggle", TemplateSettings.globalindexWrapperId = "globalindex_wrapper", TemplateSettings.globalindexTabId = "globalindex_tab", TemplateSettings.globalindexToggleId = "globalindex_toggle", TemplateSettings.globalindexToggleAttrId = "data-toggle", TemplateSettings.globalindexRootPaneId = "rootPane", TemplateSettings.titleLogoDivId = "logo", TemplateSettings.titleTocDivId = "toc_title", TemplateSettings.selectCategoryId = "selectCategory", TemplateSettings.printControllerId = "printController", TemplateSettings.treeControllerId = "treeController", TemplateSettings.changeViewModeIdPrefix = "changeViewMode_", TemplateSettings.expandDivIdPrefix = "Label_", TemplateSettings.expandImgIdPrefix = "Img_", TemplateSettings.styleAutoindexContent = "autoindex_content", TemplateSettings.styleAutoindexWrapper = "autoindex_wrapper", TemplateSettings.styleAutoindexTab = "autoindex_index", TemplateSettings.styleAutoindexToggle = "autoindex_toggle", TemplateSettings.styleAutoindexContent = "autoindex_content", TemplateSettings.styleTitleLogoDiv = "logo", TemplateSettings.styleTitleTocDiv = "toc_title", TemplateSettings.styleSelectCategory = "selectCategory", TemplateSettings.searchFileName = "search.html", TemplateSettings.searchBoxMiniFormName = "form_searchbox_mini", TemplateSettings.searchBoxMiniDivId = "searchbox_mini", TemplateSettings.searchBoxMiniDivStyle = "searchbox_mini_div", TemplateSettings.searchBoxMiniTextStyle = "searchbox_mini_text", TemplateSettings.searchBoxMiniButtonStyle = "searchbox_mini_button", TemplateSettings.searchMessageLineStyle = "search_message_line", TemplateSettings.searchResultDigestLength = 100, TemplateSettings.searchResultCountPerPage = 20, TemplateSettings.cookieKeyAutoindexToggle = "autoindexToggle", TemplateSettings.cookieKeyGlobalindexToggle = "globalindexToggle", TemplateSettings.cookieKeyViewmode = "reassembleViewMode", TemplateSettings.apiIframeId = "iframe_api", TemplateSettings.apiIframePadW = 4, TemplateSettings.apiIframePadH = 4, TemplateSettings.guidelineDescIdPrefix = "description_", TemplateSettings.guidelineDescLabelPrefix = "GuidelineDescLabel_", TemplateSettings.guidelineDescAnchorPrefix = "Desc_", TemplateSettings.guidelineItemIdPrefix = "itemDesc_", TemplateSettings.guidelineItemLabelPrefix = "GuidelineItemLabel_", TemplateSettings.guidelineItemAnchorPrefix = "guidelineitem_", typeof jQuery == "function" && (url = $(TemplateSettings.selectorLibFile).attr("src") ? $(TemplateSettings.selectorLibFile).attr("src").replace(TemplateSettings.templateLibFileName, "") + "localeString.js" : "", url != "" && (obj = document.createElement("script"), obj != null && (obj.type = "text/javascript", obj.src = url, heads = document.getElementsByTagName("head"), heads.length > 0 && heads[0].appendChild(obj))));
var ExpandFolder = function() {
};
typeof jQuery != "function" ? (alert(LocaleString.lcStrMessageNeedJQuery), ExpandFolder.rootURL = "") : ExpandFolder.rootURL = $('script[src$="' + TemplateSettings.templateLibFileName + '"]').attr("src") ? $('script[src$="' + TemplateSettings.templateLibFileName + '"]').attr("src").replace(TemplateSettings.javaScriptPath + TemplateSettings.templateLibFileName, "") : "", ExpandFolder.openIconPath = ExpandFolder.rootURL + TemplateSettings.openIconPath, ExpandFolder.closeIconPath = ExpandFolder.rootURL + TemplateSettings.closeIconPath, ExpandFolder.fileIconPath = ExpandFolder.rootURL + TemplateSettings.fileIconPath, ExpandFolder.styleOpenDiv = TemplateSettings.styleOpenTreeItemDiv, ExpandFolder.styleCloseDiv = TemplateSettings.styleCloseTreeItemDiv, ExpandFolder.styleLineIconDiv = TemplateSettings.styleIconLineDiv, ExpandFolder.styleLineNoIconDiv = TemplateSettings.styleNoIconLineDiv, ExpandFolder.styleOpenImg = TemplateSettings.styleOpenTreeItemImg, ExpandFolder.styleCloseImg = TemplateSettings.styleCloseTreeItemImg, ExpandFolder.styleFileImg = TemplateSettings.styleFileTreeItemImg, ExpandFolder.attributeFolded = TemplateSettings.foldedTreeItemAttrId, ExpandFolder.selectorTreePaneDiv = "div#" + TemplateSettings.divTreePaneId, ExpandFolder.selectorOpenItemDiv = ExpandFolder.selectorTreePaneDiv + " div[class=" + TemplateSettings.styleOpenTreeItemDiv + "]", ExpandFolder.selectorCloseItemDiv = ExpandFolder.selectorTreePaneDiv + " div[class=" + TemplateSettings.styleCloseTreeItemDiv + "]", ExpandFolder.selectorOpenItemImg = ExpandFolder.selectorTreePaneDiv + " img[class=" + TemplateSettings.styleOpenTreeItemImg + "]", ExpandFolder.selectorCloseItemImg = ExpandFolder.selectorTreePaneDiv + " img[class=" + TemplateSettings.styleCloseTreeItemImg + "]", ExpandFolder.selectorFileItemImg = ExpandFolder.selectorTreePaneDiv + " img[class=" + TemplateSettings.styleFileTreeItemImg + "]", ExpandFolder.expandDivIdPrefix = TemplateSettings.expandDivIdPrefix, ExpandFolder.expandImgIdPrefix = TemplateSettings.expandImgIdPrefix, ExpandFolder.initExpandFolder = function() {
    $(ExpandFolder.selectorOpenItemDiv).each(function() {
        $(this).css("display", "block").attr(ExpandFolder.attributeFolded, !1)
    }), $(ExpandFolder.selectorCloseItemDiv).each(function() {
        $(this).css("display", "none").attr(ExpandFolder.attributeFolded, !0)
    }), $(ExpandFolder.selectorOpenItemImg).each(function() {
        $(this).attr("src", ExpandFolder.openIconPath)
    }), $(ExpandFolder.selectorCloseItemImg).each(function() {
        $(this).attr("src", ExpandFolder.closeIconPath)
    }), $(ExpandFolder.selectorFileItemImg).each(function() {
        $(this).attr("src", ExpandFolder.fileIconPath)
    })
}, ExpandFolder.openAll = function() {
    $(ExpandFolder.selectorOpenItemDiv + "," + ExpandFolder.selectorCloseItemDiv).each(function() {
        $(this).css("display", "block").attr(ExpandFolder.attributeFolded, !1)
    }), $(ExpandFolder.selectorCloseItemImg).each(function() {
        $(this).attr("src", ExpandFolder.openIconPath).attr("class", ExpandFolder.styleOpenImg)
    })
}, ExpandFolder.closeAll = function() {
    $(ExpandFolder.selectorOpenItemDiv + "," + ExpandFolder.selectorCloseItemDiv).each(function() {
        $(this).css("display", "none").attr(ExpandFolder.attributeFolded, !0)
    }), $(ExpandFolder.selectorOpenItemImg).each(function() {
        $(this).attr("src", ExpandFolder.closeIconPath).attr("class", ExpandFolder.styleCloseImg)
    })
}, ExpandFolder.expand = function(n, t) {
    $("#" + n).each(function() {
        var n = $(this).css("display") == "block";
        $(this).css("display", n ? "none" : "block").attr(ExpandFolder.attributeFolded, n), $(t).attr("src", n ? ExpandFolder.closeIconPath : ExpandFolder.openIconPath).attr("class", n ? ExpandFolder.styleCloseImg : ExpandFolder.styleOpenImg)
    })
};
function TocDataObject(n, t, i, r, u, f, e, o, s, h) {
    this.dataType = n, this.dataCategory = t, this.dataLevel = i, this.dataURL = r, this.dataID = u, this.dataText = f, this.dataBaselevel = e, this.dataFigureNo = o, this.dataTableNo = s, this.dataCodeNo = h, this.expand = !1, this.viewIcon = !0, this.dataQuery = "", this.dataLabel = "", this.dataExpandLabel = ""
}
function TocObject() {
    this.logoFile = "", this.logoWidth = 0, this.logoHeight = 0, this.titleName = "", this.titleFile = TemplateSettings.templateTitleFileName, this.windowTitleName = "", this.displayNumber = !1, this.modeAnchor = !0, this.targetName = "", this.windowWidth = 280, this.openWithExpand = !1, this.viewFileIcon = !0, this.printPage = !1, this.insertTitlePage = !1, this.baselevel = 0, this.figureNo = 0, this.tableNo = 0, this.codeNo = 0, this.currentURL = "", this.countGuideline = 1, this.rootURL = "", this.searchEnabled = !0, this.arrayData = [], this.arrayData.length = 0, this.setLogoFile = function(n) {
        this.logoFile = n == null ? "" : n
    }, this.getLogoFile = function() {
        return this.logoFile
    }, this.setLogoSize = function(n, t) {
        this.logoWidth = n == null || n < 0 ? 0 : n, this.logoHeight = t == null || t < 0 ? 0 : t
    }, this.getLogoWidth = function() {
        return this.logoWidth
    }, this.getLogoHeight = function() {
        return this.logoHeight
    }, this.setTitle = function(n) {
        this.titleName = n == null ? "" : n
    }, this.getTitle = function() {
        return this.titleName
    }, this.setWindowTitle = function(n) {
        this.windowTitleName = n == null ? "" : n
    }, this.getWindowTitle = function() {
        return this.windowTitleName
    }, this.setTitleFile = function(n) {
        this.titleFile = n == null ? "" : n
    }, this.getTitleFile = function() {
        return this.titleFile
    }, this.setTargetName = function(n) {
        this.targetName = n == null ? "" : n
    }, this.getTargetName = function() {
        return this.targetName
    }, this.isEnableTarget = function() {
        return this.targetName != ""
    }, this.setWindowWidth = function(n) {
        this.windowWidth = n == null || n < 0 ? 0 : n
    }, this.getWindowWidth = function() {
        return this.windowWidth
    }, this.enableDisplayNumber = function() {
        this.displayNumber = !0
    }, this.disableDisplayNumber = function() {
        this.displayNumber = !1
    }, this.isDisplayNumber = function() {
        return this.displayNumber
    }, this.setOpenWithExpand = function(n) {
        this.openWithExpand = n
    }, this.isOpenWithExpand = function() {
        return this.openWithExpand
    }, this.setBaselevel = function(n) {
        this.baselevel = n == null || n < 0 ? 0 : n
    }, this.getBaselevel = function() {
        return this.baselevel
    }, this.setFigureNo = function(n) {
        this.figureNo = n == null || n < 0 ? 0 : n
    }, this.getFigureNo = function() {
        return this.figureNo
    }, this.addFigureNo = function(n) {
        var t = parseInt(n);
        isNaN(n) && (t = 1), this.figureNo += t
    }, this.setTableNo = function(n) {
        this.tableNo = n == null || n < 0 ? 0 : n
    }, this.getTableNo = function() {
        return this.tableNo
    }, this.addTableNo = function(n) {
        var t = parseInt(n);
        isNaN(n) && (t = 1), this.tableNo += t
    }, this.setCodeNo = function(n) {
        this.codeNo = n == null || n < 0 ? 0 : n
    }, this.getCodeNo = function() {
        return this.codeNo
    }, this.addCodeNo = function(n) {
        var t = parseInt(n);
        isNaN(n) && (t = 1), this.codeNo += t
    }, this.setAnchorMode = function() {
        this.modeAnchor = !0
    }, this.setGetMode = function() {
        this.modeAnchor = !1
    }, this.isAnchorMode = function() {
        return this.modeAnchor
    }, this.isGetMode = function() {
        return !this.modeAnchor
    }, this.enableViewFileIcon = function() {
        this.viewFileIcon = !0
    }, this.disableViewFileIcon = function() {
        this.viewFileIcon = !1
    }, this.enablePrintPage = function() {
        this.printPage = !0
    }, this.disablePrintPage = function() {
        this.printPage = !1
    }, this.isEnablePrintPage = function() {
        return this.printPage
    }, this.setInsertTitlePage = function(n) {
        this.insertTitlePage = n
    }, this.isEnableInsertTitlePage = function() {
        return this.insertTitlePage
    }, this.setRootURL = function(n) {
        this.rootURL = n == null ? "" : n
    }, this.getRootURL = function() {
        return this.rootURL
    }, this.setSearchEnabled = function(n) {
        this.searchEnabled = n
    }, this.isEnabledSearch = function() {
        return this.searchEnabled
    }, this.getDataArray = function() {
        return this.arrayData
    }, this.getDataCount = function() {
        return this.arrayData.length
    }, this.getData = function(n) {
        return n < 0 || n >= this.getDataCount() ? null : this.arrayData[n]
    }, this._addTocDataObjectCore = function(n, t, i, r, u, f) {
        i <= this.baselevel && (this.figureNo = 1, this.tableNo = 1, this.codeNo = 1);
        var e = new TocDataObject(n, t, i, u, f, r, this.baselevel, this.figureNo, this.tableNo, this.codeNo);
        this.arrayData.push(e)
    }, this.addSectionHeader = function(n, t, i, r, u) {
        this._addTocDataObjectCore("MAN_HEADER", n, t, i, r, u)
    }, this.addSection = function(n, t, i, r, u) {
        this._addTocDataObjectCore("MAN", n, t, i, r, u)
    }, this.addHeader = function(n, t, i, r, u) {
        this._addTocDataObjectCore("HEADER", n, t, i, r, u)
    }, this.addItem = function(n, t, i, r, u) {
        this._addTocDataObjectCore("ITEM", n, t, i, r, u)
    }, this.addGuidelineSection = function(n, t, i, r, u) {
        this._addTocDataObjectCore("GUIDELINE_SECTION", n, t, i, r, u), this.currentURL = r, this.countGuideline = 1
    }, this.addGuidelineHeader = function(n, t, i, r, u) {
        this._addTocDataObjectCore("GUIDELINE_HEADER", n, t, i, r, u), this.currentURL = r, this.countGuideline = 1
    }, this.addGuidelineDesc = function(n, t, i, r, u) {
        this._addTocDataObjectCore("GUIDELINE", n, t, i, r, u), this.currentURL = r, this.countGuideline = 1
    }, this.addGuidelineItem = function(n, t, i) {
        t <= this.baselevel && (this.figureNo = 1, this.tableNo = 1, this.codeNo = 1);
        var r = new TocDataObject("GUIDELINE", n, t, this.currentURL, TemplateSettings.guidelineItemAnchorPrefix + this.countGuideline, i, this.baselevel, this.figureNo, this.tableNo, this.codeNo);
        r.disableViewIcon(), this.arrayData.push(r), this.countGuideline++
    }, this.addSeparator = function() {
        this.figureNo = 1, this.tableNo = 1, this.codeNo = 1;
        var n = new TocDataObject("SEPARATOR", "", 0, "", "", "", this.figureNo, this.tableNo, this.codeNo);
        this.arrayData.push(n)
    }, this.addBlankLine = function() {
        this.figureNo = 1, this.tableNo = 1, this.codeNo = 1;
        var n = new TocDataObject("BLANK", "", 0, "", "", "", this.figureNo, this.tableNo, this.codeNo);
        this.arrayData.push(n)
    }, this.addExternal = function(n, t, i, r) {
        this._addTocDataObjectCore("EXTERNAL", n, t, i, r, "")
    }, this.makeAnchorURL = function(n) {
        var r, f;
        if (n == null)
            return "";
        var e = "", u = "", t = "", i = "";
        return n.getType().match(/^man|^guideline/i) && (e = "?level=" + n.getQuery() + "&figure=" + n.getFigureNo() + "&table=" + n.getTableNo() + "&code=" + n.getCodeNo(), u = n.getLabel()), t = n.getURL(), i = (this.isDisplayNumber() && u != "" ? u + " " : "") + n.getText(), t == "" ? t = i : (r = this.isEnableTarget() ? ' target="' + this.getTargetName() + '"' : "", f = n.getID() == "" ? "" : "#" + n.getID(), t = n.getType().match(/^external/i) ? '<a href="' + this.rootURL + "external.html?file=" + t + '"' + r + ">" + i + "</a>" : '<a href="' + this.rootURL + t + e + f + '"' + r + ">" + i + "</a>"), t
    }, this.makeGetURL = function(n) {
        var c, r, e;
        if (n == null)
            return "";
        var t = "", i = "", u = "", s = "", o = "", h = "", f = "";
        return n.getType().match(/^man|^guideline/i) && (s = n.getQuery(), u = n.getLabel(), o = n.getFigureNo(), h = n.getTableNo(), f = n.getCodeNo()), t = n.getURL(), c = n.getType().match(/section/i) ? !1 : this.isDisplayNumber(), i = (this.isDisplayNumber() && u != "" ? u + " " : "") + n.getText(), t == "" ? t = i : (r = this.isEnableTarget() ? this.getTargetName() : "", e = n.getID() == "" ? "" : "#" + n.getID(), t = n.getType().match(/^external/i) ? "<a href=\"javascript: Guideline.viewPage('" + this.rootURL + "external.html?file=" + t + "','" + r + "','1',1,1,1);\">" + i + "</a>" : "<a href=\"javascript: Guideline.viewPage('" + this.rootURL + t + e + "','" + r + "','" + s + "'," + o + "," + h + "," + f + ');">' + i + "</a>"), t
    }, this.processTreeData = function() {
        for (var c = "", i = new Array(9), o, f, u, n, r = 0; r < 9; r++)
            i[r] = 0;
        for (o = 999, f = null, u = 0; u < this.getDataCount(); u++) {
            var h = "", a = "", l = "", t = this.getData(u), e = t.getLevel(), v = t.getBaselevel(), y = t.getType(), s = t.getURL();
            for (e > o && u > 0 && this.getData(u - 1).enableExpand(), i[e] = i[e] + 1, n = e + 1; n < 9; n++)
                i[n] = 0;
            for (y.match(/separator|blank/i) && (i[0] = i[0] - 1, i[0] < 0 && (i[0] = 0)), n = 0; n < 9; n++)
                i[n] > 0 && (l += (n > 0 ? "_" : "") + i[n], r = n - v, r >= 0 && (a += (r > 0 ? "," : "") + i[n], r < 4 ? h += i[n] + "." : h = ""));
            s == c && s != "" && u > 0 ? (t.setQuery(f.getQuery()), t.setFigureNo(f.getFigureNo()), t.setTableNo(f.getTableNo()), t.setCodeNo(f.getCodeNo())) : (t.setQuery(a), f = t), t.setLabel(h), t.setExpandLabel(l), o = e, c = s
        }
    }, this.createContents = function() {
        var g = this.getLogoFile(), p, b, d, t, y, u, w, v, s, l, f, k, o, n, h, e, r, i;
        if (g != "" && (u = document.getElementById(TemplateSettings.titleLogoDivId), u != null && (t = document.createElement("IMG"), t.src = this.rootURL + g, p = this.getLogoWidth(), b = this.getLogoHeight(), p > 0 && (t.width = p), b > 0 && (t.height = b), u.appendChild(t))), d = this.getTitle(), u = document.getElementById(TemplateSettings.titleTocDivId), u != null && (t = document.createElement("A"), t.href = this.rootURL + this.getTitleFile(), this.isEnableTarget() && (t.target = this.getTargetName()), t.innerHTML = d, u.appendChild(t)), this.isEnabledSearch() && (u = document.getElementById(TemplateSettings.searchBoxMiniDivId), u != null && (u.className = TemplateSettings.searchBoxMiniDivStyle, t = document.createElement("FORM"), t.name = TemplateSettings.searchBoxMiniFormName, t.action = this.rootURL + TemplateSettings.searchFileName, t.method = "GET", y = "", y += '<input type="text" name="q" class="' + TemplateSettings.searchBoxMiniTextStyle + '" /> ', y += '<input type="submit" class="' + TemplateSettings.searchBoxMiniButtonStyle + '" value="' + LocaleString.lcStrLabelStartSearch + '" />', t.innerHTML = y, u.appendChild(t))), this.getWindowTitle() != "" ? document.title = this.getWindowTitle() : document.title == "" && (document.title = this.getTitle()), u = document.getElementById(TemplateSettings.printControllerId), u != null && (w = "", w += '<select id="' + TemplateSettings.selectCategoryId + '" name="category" size="1" class="' + TemplateSettings.styleSelectCategory + '" onChange="Reassemble.viewPrintPage();"><option value="">' + LocaleString.lcStrLabelSelectChapter + "</option></select><br />", this.isEnablePrintPage() && (u.innerHTML += w, u.style.display = "block", v = document.getElementById(TemplateSettings.selectCategoryId), v != null))) {
            for (o = 0; o < this.getDataCount(); o++)
                n = this.getData(o), n != null && n.getType().match(/section/i) && (s = document.createElement("OPTION"), s.innerHTML = (n.getType().match(/^man|^guideline/i) && this.isDisplayNumber() && n.getLabel() != "" ? n.getLabel() + " " : "") + n.getText(), s.value = n.getCategory(), v.appendChild(s));
            s = document.createElement("OPTION"), s.innerHTML = LocaleString.lcStrLabelSelectAll, s.value = "*", v.appendChild(s)
        }
        for (l = 0, f = new Array(9), i = 0; i < 9; i++)
            f[i] = null;
        if (k = document.getElementById(TemplateSettings.divTreePaneId), k != null) {
            for (f[0] = k, o = 0; o < this.getDataCount(); o++)
                if (n = this.getData(o), n != null) {
                    var c = n.getLevel(), a = n.getType(), tt = n.getLabel(), nt = n.getExpandLabel();
                    if (c < l)
                        for (i = l; i > c; i--)
                            f[i - 1].appendChild(f[i]);
                    r = document.createElement("DIV"), r.className = ExpandFolder.styleLineIconDiv, a.match(/^separator$/i) ? r.innerHTML = '<hr class="' + TemplateSettings.styleSeparatorLine + '">' : a.match(/^blank$/i) ? r.innerHTML = "<br>" : (h = document.createElement("SPAN"), h.className = a.match(/header|section/i) ? TemplateSettings.styleHeaderLineSpan : TemplateSettings.styleItemLineSpan, h.innerHTML = this.modeAnchor ? this.makeAnchorURL(n) : a.match(/^man|^guideline/i) ? this.makeGetURL(n) : this.makeAnchorURL(n), e = document.createElement("IMG"), n.isExpandFolder() ? (e.src = this.isOpenWithExpand() ? ExpandFolder.openIconPath : ExpandFolder.closeIconPath, e.className = this.isOpenWithExpand() ? ExpandFolder.styleOpenImg : ExpandFolder.styleCloseImg, e.onclick = new Function("ExpandFolder.expand('" + ExpandFolder.expandDivIdPrefix + n.getExpandLabel() + "', this);"), e.id = ExpandFolder.expandImgIdPrefix + ExpandFolder.expandDivIdPrefix + n.getExpandLabel(), r.appendChild(e)) : this.viewFileIcon && n.isViewIcon() ? (e.src = ExpandFolder.fileIconPath, e.className = ExpandFolder.styleFileImg, r.appendChild(e)) : r.className = ExpandFolder.styleLineNoIconDiv, r.appendChild(h)), f[c].appendChild(r), n.isExpandFolder() && (r = document.createElement("DIV"), r.className = this.isOpenWithExpand() ? ExpandFolder.styleOpenDiv : ExpandFolder.styleCloseDiv, r.id = ExpandFolder.expandDivIdPrefix + n.getExpandLabel(), r.setAttribute(ExpandFolder.attributeFolded, !this.isOpenWithExpand()), f[c + 1] = r), l = c
                }
            for (i = l; i > 0; i--)
                f[i - 1].appendChild(f[i])
        }
    }
}
TocDataObject.prototype = {getType: function() {
        return this.dataType
    },getCategory: function() {
        return this.dataCategory
    },getLevel: function() {
        return this.dataLevel
    },getURL: function() {
        return this.dataURL
    },getID: function() {
        return this.dataID
    },getText: function() {
        return this.dataText
    },getBaselevel: function() {
        return this.dataBaselevel
    },getFigureNo: function() {
        return this.dataFigureNo
    },getTableNo: function() {
        return this.dataTableNo
    },getCodeNo: function() {
        return this.dataCodeNo
    },enableExpand: function() {
        this.expand = !0
    },isExpandFolder: function() {
        return this.expand
    },setQuery: function(n) {
        this.dataQuery = n == null ? "" : n
    },getQuery: function() {
        return this.dataQuery
    },setFigureNo: function(n) {
        this.dataFigureNo = n == null || n < 0 ? 0 : n
    },setTableNo: function(n) {
        this.dataTableNo = n == null || n < 0 ? 0 : n
    },setCodeNo: function(n) {
        this.dataCodeNo = n == null || n < 0 ? 0 : n
    },setLabel: function(n) {
        this.dataLabel = n == null ? "" : n
    },getLabel: function() {
        return this.dataLabel
    },setExpandLabel: function(n) {
        this.dataExpandLabel = n == null ? "" : n
    },getExpandLabel: function() {
        return this.dataExpandLabel
    },enableViewIcon: function() {
        this.viewIcon = !0
    },disableViewIcon: function() {
        this.viewIcon = !1
    },isViewIcon: function() {
        return this.viewIcon
    }};
var Reassemble = function() {
};
Reassemble.autoindexContentWidth = TemplateSettings.autoindexContentWidth, Reassemble.autoindexToggleWidth = TemplateSettings.autoindexToggleWidth, Reassemble.globalindexContentWidth = TemplateSettings.globalindexContentWidth, Reassemble.globalindexToggleWidth = TemplateSettings.globalindexToggleWidth, Reassemble.settingAttrId = TemplateSettings.settingAttrId, Reassemble.autoindexContentId = TemplateSettings.autoindexContentId, Reassemble.autoindexWrapperId = TemplateSettings.autoindexWrapperId, Reassemble.autoindexTabId = TemplateSettings.autoindexTabId, Reassemble.autoindexToggleId = TemplateSettings.autoindexToggleId, Reassemble.autoindexToggleAttrId = TemplateSettings.autoindexToggleAttrId, Reassemble.globalindexWrapperId = TemplateSettings.globalindexWrapperId, Reassemble.globalindexTabId = TemplateSettings.globalindexTabId, Reassemble.globalindexToggleId = TemplateSettings.globalindexToggleId, Reassemble.globalindexToggleAttrId = TemplateSettings.globalindexToggleAttrId, Reassemble.globalindexRootPaneId = TemplateSettings.globalindexRootPaneId, Reassemble.styleAutoindexContent = TemplateSettings.styleAutoindexContent, Reassemble.styleAutoindexWrapper = TemplateSettings.styleAutoindexWrapper, Reassemble.styleAutoindexTab = TemplateSettings.styleAutoindexTab, Reassemble.styleAutoindexToggle = TemplateSettings.styleAutoindexToggle, Reassemble.selectorAutoindexContentDiv = "div#" + Reassemble.autoindexContentId, Reassemble.selectorAutoindexWrapperDiv = "div#" + Reassemble.autoindexWrapperId, Reassemble.selectorAutoindexTabDiv = "div#" + Reassemble.autoindexTabId, Reassemble.selectorAutoindexToggleDiv = "div#" + Reassemble.autoindexToggleId, Reassemble.selectorGlobalindexWrapperDiv = "div#" + Reassemble.globalindexWrapperId, Reassemble.selectorGlobalindexTabDiv = "div#" + Reassemble.globalindexTabId, Reassemble.selectorGlobalindexToggleDiv = "div#" + Reassemble.globalindexToggleId, Reassemble.objectTocData = null, Reassemble.autoindexEnabled = !1, Reassemble.globalindexEnabled = !1, Reassemble.autoindexScrollTarget = null, Reassemble.globalindexScrollTarget = null, Reassemble.viewMode = "0", Reassemble.str2int = function(n) {
    if (n == null)
        return 0;
    var t = parseInt(n);
    return isNaN(t) && (t = 0), t
}, Reassemble.setEventHandler = function(n, t) {
    n != null && n != "" && t != null && (window.attachEvent ? window.attachEvent("on" + n, t) : window.addEventListener && window.addEventListener(n, t, !1))
}, Reassemble.resizeHandler = function() {
    var o = $(window).height(), i = $(window).width(), f, u, r;
    if (!(i < 400)) {
        var e = i, n = 0, t = 0;
        (Reassemble.autoindexEnabled || Reassemble.globalindexEnabled) && (f = $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId), Reassemble.autoindexEnabled && (f != null && f == "0" ? ($(Reassemble.selectorAutoindexTabDiv).css("display", "none"), n = Reassemble.autoindexToggleWidth) : ($(Reassemble.selectorAutoindexTabDiv).css("display", "block"), n = Reassemble.autoindexContentWidth + Reassemble.autoindexToggleWidth)), u = $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId), u != null && u == "0" ? ($(Reassemble.selectorGlobalindexTabDiv).css("display", "none"), t = Reassemble.globalindexToggleWidth) : ($(Reassemble.selectorGlobalindexTabDiv).css("display", "block"), t = Reassemble.globalindexContentWidth + Reassemble.globalindexToggleWidth, $(ExpandFolder.selectorTreePaneDiv).offset() != null && (r = $(ExpandFolder.selectorTreePaneDiv).offset().top - $(window).scrollTop(), o > r + 200 && $(ExpandFolder.selectorTreePaneDiv).height(o - r - TemplateSettings.globalindexPanePadH))), e = i - n - t - TemplateSettings.autoindexContentPadW, $(Reassemble.selectorAutoindexContentDiv).width(e), $(Reassemble.selectorAutoindexContentDiv).css("margin-left", t), $(Reassemble.selectorAutoindexContentDiv).css("margin-right", n), $(Reassemble.selectorGlobalindexTabDiv).width(Reassemble.globalindexContentWidth), $(Reassemble.selectorGlobalindexTabDiv).css("margin-right", -Reassemble.globalindexContentWidth), $(Reassemble.selectorAutoindexWrapperDiv).width(n), $(Reassemble.selectorAutoindexWrapperDiv).css("left", i - n), $(Reassemble.selectorGlobalindexWrapperDiv).width(t)), $("iframe#" + TemplateSettings.apiIframeId).each(function() {
            $(this).width(e - TemplateSettings.apiIframePadW), $(this).height(o - TemplateSettings.apiIframePadH)
        }), Reassemble.scrollHandler()
    }
}, Reassemble.scrollHandler = function() {

    Reassemble.autoindexEnabled && Reassemble.autoindexScrollTarget != null && ($(Reassemble.autoindexScrollTarget).css("top", $(window).scrollTop()), $(Reassemble.autoindexScrollTarget).css("left", $(window).width() - $(Reassemble.selectorAutoindexWrapperDiv).width() + $(window).scrollLeft())), Reassemble.globalindexEnabled && Reassemble.globalindexScrollTarget != null && ($(Reassemble.globalindexScrollTarget).css("top", $(window).scrollTop()), $(Reassemble.globalindexScrollTarget).css("left", $(window).scrollLeft())), Reassemble.autoindexEnabled && Reassemble.autoindexFocusIndexInvoke()

}, Reassemble.autoindexToggleHandler = function() {
    if (Reassemble.autoindexEnabled) {
        var n = $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId);
        $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId, n != null && n == "0" ? "1" : "0"), Reassemble.resizeHandler()
    }
}, Reassemble.globalindexToggleHandler = function() {
    if (Reassemble.globalindexEnabled) {
        var n = $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId);
        $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId, n != null && n == "0" ? "1" : "0"), Reassemble.resizeHandler()
    }
}, Reassemble.autoindexFocusIndexInvoked = !1, Reassemble.selectorAutoindexFocusIndex = Reassemble.selectorAutoindexTabDiv + " a[href*=#]", Reassemble.autoindexFocusIndex = function() {
    var t, i, n, r = $(window).scrollTop() + TemplateSettings.autoindexFocusOffset;
    $(Reassemble.selectorAutoindexFocusIndex).each(function() {
        var u = "#" + $(this).attr("href").split("#")[1];
        $(u).length && $(this).parent().css("display") != "none" && (n = $(u).offset().top, !(r < n) && (!t || i <= n)) && (t = this, i = n)
    }), $(Reassemble.selectorAutoindexFocusIndex).each(function() {
        Reassemble.autoindexToggleClass($(this), "focused", this == t)
    }), Reassemble.autoindexFocusIndexInvoked = !1
}, Reassemble.autoindexFocusIndexInvoke = function() {
    Reassemble.autoindexFocusIndexInvoked || (setTimeout(Reassemble.autoindexFocusIndex, 100), Reassemble.autoindexFocusIndexInvoked = !0)
}, Reassemble.autoindexToggleClass = function(n, t, i) {
    i ? n.addClass(t) : n.removeClass(t)
}, Reassemble.reassemble = function() {
    var v = "1", ti = "", ni = "", ii = "", it = !1, gi = "", p = "", e = 1, tt = 6, st = 0, kt = !1, ht = !1, oi = !1, fi = !1, ft = !0, yt = !0, ei = !1, ui = !1, ai = document.body.getAttribute(Reassemble.settingAttrId), wt, rt, h, s, i, ri, b, d, o, vt, l, u, ut, n, wi, pi, bi, g, nt, r, pt, li, vi, ot, w, t, lt, k;
    if (ai != null) {
        for (rt = ai.split(","), r = 0; r < rt.length; r++)
            (h = rt[r], s = h.indexOf("="), s < 0) || (i = decodeURIComponent(h.substring(0, s)), i = i.replace(/\s/g, ""), n = decodeURIComponent(h.slice(s + 1)), n == null && (n = ""), n = n.replace(/\s/g, ""), i.match(/^start$/i) ? e = Reassemble.str2int(n) : i.match(/^end$/i) ? tt = Reassemble.str2int(n) : i.match(/^autoindex$/i) ? n.match(/^yes$|^true$/i) ? kt = !0 : n.match(/^no$|^false$/i) && (kt = !1) : i.match(/^forcedefault$/i) ? n.match(/^yes$|^true$/i) ? ht = !0 : n.match(/^no$|^false$/i) && (ht = !1) : i.match(/^forcenolabel$/i) ? n.match(/^yes$|^true$/i) ? oi = !0 : n.match(/^no$|^false$/i) && (oi = !1) : i.match(/^forcenochapter$/i) ? n.match(/^yes$|^true$/i) ? fi = !0 : n.match(/^no$|^false$/i) && (fi = !1) : i.match(/^level$/i) ? v = n.replace(/\./g, ",") : i.match(/^figure$/i) ? ti = Reassemble.str2int(n) : i.match(/^table$/i) ? ni = Reassemble.str2int(n) : i.match(/^code$/i) ? ii = Reassemble.str2int(n) : i.match(/^chaseindex$/i) ? n.match(/^yes$/i) ? (ft = !0, yt = !0) : n.match(/^no$/i) ? (ft = !1, yt = !1) : n.match(/^url$/i) ? (ft = !0, yt = !1) : n.match(/^js$/i) && (ft = !1, yt = !0) : i.match(/^offset$/i) ? st = Reassemble.str2int(n) : i.match(/^autoindextab$/i) ? n.match(/^fold$/i) ? ei = !0 : n.match(/^open$/i) && (ei = !1) : i.match(/^noreset$/i) ? n.match(/^yes$|^true$/i) ? ui = !0 : n.match(/^no$|^false$/i) && (ui = !1) : i.match(/^forcenoindex$/i) && (n.match(/^yes$|^true$/i) ? it = !0 : n.match(/^no$|^false$/i) && (it = !1)));
        e < 1 && (e = 1), e > 6 && (e = 6), tt > 6 && (tt = 6), e > tt && (tt = e), st < -5 && (st = -5), st > 5 && (st = 5)
    }
    for (wt = location.search, wt = wt.slice(wt.lastIndexOf("?") + 1), rt = wt.split("&"), r = 0; r < rt.length; r++)
        if (h = rt[r], s = h.indexOf("="), !(s < 0))
            if (i = h.substring(0, s), i = decodeURIComponent(i), i = i.replace(/\s/g, ""), n = decodeURIComponent(h.slice(s + 1)), n == null && (n = ""), n = n.replace(/\s/g, ""), i.match(/^level$/i))
                ht || (v = n);
            else if (i.match(/^figure$/i))
                ht || (ti = n);
            else if (i.match(/^table$/i))
                ht || (ni = n);
            else if (i.match(/^code$/i))
                ht || (ii = n);
            else if (i.match(/^noindex$/i))
                n.match(/^yes$|^true$/i) ? it = !0 : n.match(/^no$|^false$/i) && (it = !1);
            else if (i.match(/^url$/i))
                gi = n;
            else if (i.match(/^highlighttext$/i))
                for (p = h.slice(s + 1), p == null && (p = ""), ri = p.split("+"), p = "", o = 0; o < ri.length; o++)
                    p += (o > 0 ? " " : "") + decodeURIComponent(ri[o]);
    var a = new Array(6), dt = new Array(6), et = Reassemble.str2int(ti);
    for (et = et > 0 ? et - 1 : 0, b = Reassemble.str2int(ni), b = b > 0 ? b - 1 : 0, d = Reassemble.str2int(ii), d = d > 0 ? d - 1 : 0, v = v.split(","), r = 0; r < 6; r++)
        o = v.length > r ? Reassemble.str2int(v[r]) : 0, o = o > 0 ? o - 1 : 0, a[r] = o, dt[r] = v.length > r ? !0 : !1;
    var bt = 7, si = 7, at = [];
    if (at.length = 0, document.all)
        vt = document.all;
    else if (document.getElementsByTagName)
        vt = document.getElementsByTagName("*");
    else
        return;
    if (vt.length)
        for (r = 0; r < vt.length; r++) {
            var f = vt[r], gt = f.tagName, ci = f.className, y = !1, ct = !1, hi = !1, yi = !1, ki = f.getAttribute(Reassemble.settingAttrId);
            if (ki != null)
                for (l = ki.split(","), t = 0; t < l.length; t++)
                    l[t] = l[t].replace(/\s/g, ""), l[t].match(/^none$/i) && (y = !0, hi = !0), l[t].match(/^keep$/i) && (yi = !0), l[t].match(/^nochapter$/i) && (ct = !0), l[t].match(/^nolabel$/i) && (y = !0), l[t].match(/^noindex$/i) && (hi = !0);
            if (oi && (y = !0), fi && (ct = !0), gt.match(/^H[1-6]$/i)) {
                if (!y && (u = Reassemble.str2int(gt.slice(1)) - e + st, u >= 0 && u <= tt - e)) {
                    for (t = 0; t < u; t++)
                        dt[t] && (a[t] = Reassemble.str2int(v[t]));
                    if (!yi) {
                        for (t = u + 1; t < 6; t++)
                            a[t] = 0, dt[t] = !1;
                        u != 0 || ui || (et = 0, b = 0, d = 0)
                    }
                    if (a[u]++, dt[u] = !1, lt = "", u < 4) {
                        for (t = 0; t <= u; t++)
                            lt += a[t] + ".";
                        f.innerHTML = (ct ? "" : lt + " ") + f.innerHTML
                    }
                }
                kt && !hi && (u = Reassemble.str2int(gt.slice(1)) - e, u >= 0 && u <= tt - e && (ut = f.id, (ut == null || ut == "") && (ut = "autoindex_" + at.length, f.id = ut), n = u + "\t" + ut + "\t" + f.innerHTML, at.push(n), y ? si > u && (si = u) : bt > u && (bt = u)))
            } else
                gt.match(/^DIV$/i) && (!y && ci.match(/^figure$/i) ? (et++, f.innerHTML = LocaleString.lcStrLabelFigure + (ct ? "" : a[0] + "-") + et + ". " + f.innerHTML) : !y && ci.match(/^table$/i) ? (b++, f.innerHTML = LocaleString.lcStrLabelTable + (ct ? "" : a[0] + "-") + b + ". " + f.innerHTML) : !y && ci.match(/^code$/i) && (d++, f.innerHTML = LocaleString.lcStrLabelCode + (ct ? "" : a[0] + "-") + d + ". " + f.innerHTML))
        }
    if (!it && kt && typeof jQuery == "function") {
        for (Reassemble.autoindexEnabled = !0, k = document.getElementById(Reassemble.autoindexContentId), k == null && $("body").wrapInner('<div id="' + Reassemble.autoindexContentId + '"></div>'), wi = document.getElementById(Reassemble.autoindexWrapperId), wi == null && $("body").prepend('<div id="' + Reassemble.autoindexWrapperId + '"></div>'), pi = document.getElementById(Reassemble.autoindexTabId), pi == null && $(Reassemble.selectorAutoindexWrapperDiv).prepend('<div id="' + Reassemble.autoindexTabId + '"></div>'), bi = document.getElementById(Reassemble.autoindexToggleId), bi == null && $(Reassemble.selectorAutoindexWrapperDiv).prepend('<div id="' + Reassemble.autoindexToggleId + '"></div>'), bt > 6 && (bt = si), g = 0, nt = "<ul>", nt += '<li><a href="#' + Reassemble.autoindexContentId + '" class="toplevel">' + LocaleString.lcStrLabelAcTopLevel + "</a></li>", r = 0; r < at.length; r++)
            if (pt = at[r].split("\t"), pt.length > 2) {
                var c = Reassemble.str2int(pt[0]), nr = pt[1], di = pt[2];
                if (c -= bt, c < 0 && (c = 0), c < g)
                    for (t = g; t > c; t--)
                        nt += "</ul>";
                else if (c > g)
                    for (t = g; t < c; t++)
                        nt += "<ul>";
                nt += '<li><a href="#' + nr + '" class="level' + c + '">' + di + "</a></li>", g = c
            }
        for (t = g; t > 0; t--)
            nt += "</ul>";
        $(Reassemble.selectorAutoindexContentDiv).attr("class", Reassemble.styleAutoindexContent), $(Reassemble.selectorAutoindexTabDiv).attr("class", Reassemble.styleAutoindexTab).html(nt), $(Reassemble.selectorAutoindexToggleDiv).attr("class", Reassemble.styleAutoindexToggle).click(Reassemble.autoindexToggleHandler), $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId, ei ? "0" : "1"), li = ["15px", "30px", "40px", "50px", "60px", "70px", "70px", "70px", "70px", "70px"], $(Reassemble.selectorAutoindexTabDiv + " a").each(function() {
            if (this.className.match(/^level[0-9]/i)) {
                var n = parseInt(this.className.slice(5)), t = "0px 0px 0px " + li[isNaN(n) ? "0px" : n];
                this.style.padding = t
            }
        }), $(Reassemble.selectorAutoindexWrapperDiv).css("position") != "fixed" && (Reassemble.autoindexScrollTarget = document.getElementById(Reassemble.autoindexWrapperId))
    }
    if (it || typeof jQuery != "function" || $(TemplateSettings.selectorTocFile).attr("src") == null || Reassemble.objectTocData != null || alert(LocaleString.lcStrMessageNothingToc), it || typeof jQuery != "function" || $(TemplateSettings.selectorTocFile).attr("src") == null || Reassemble.objectTocData == null || (Reassemble.globalindexEnabled = !0, k = document.getElementById(Reassemble.autoindexContentId), k == null && $("body").wrapInner('<div id="' + Reassemble.autoindexContentId + '"></div>'), $(Reassemble.selectorAutoindexContentDiv).attr("class", Reassemble.styleAutoindexContent), $("body").prepend('<div id="' + Reassemble.globalindexWrapperId + '"><div id="' + Reassemble.globalindexToggleId + '"></div><div id="' + Reassemble.globalindexTabId + '"></div></div>'), $(Reassemble.selectorGlobalindexTabDiv).prepend('<div id="' + Reassemble.globalindexRootPaneId + '"></div>'), $("div#" + Reassemble.globalindexRootPaneId).append('<div id="' + TemplateSettings.titleLogoDivId + '" class="' + TemplateSettings.styleTitleLogoDiv + '" align="center"></div>').append('<div id="' + TemplateSettings.titleTocDivId + '" class="' + TemplateSettings.styleTitleTocDiv + '" align="center"></div>').append('<div id="' + TemplateSettings.searchBoxMiniDivId + '" align="center"></div>').append('<div id="' + TemplateSettings.printControllerId + '" align="left"></div>').append('<div id="' + TemplateSettings.treeControllerId + '"></div>').append('<div id="' + TemplateSettings.divTreePaneId + '" class="' + TemplateSettings.styleTreePane + '"></div>'), $("div#" + TemplateSettings.printControllerId).append('<input type="radio" id="' + TemplateSettings.changeViewModeIdPrefix + '0" name="mode" value="0" onClick="Reassemble.changeViewMode(\'0\');" checked />' + LocaleString.lcStrLabelModeAll + "<br />").append('<input type="radio" id="' + TemplateSettings.changeViewModeIdPrefix + '1" name="mode" value="1" onClick="Reassemble.changeViewMode(\'1\');" />' + LocaleString.lcStrLabelModeDesc + "<br />").append('<input type="radio" id="' + TemplateSettings.changeViewModeIdPrefix + '2" name="mode" value="2" onClick="Reassemble.changeViewMode(\'2\');" />' + LocaleString.lcStrLabelModeItem + "<br />").append("<br />"), $("div#" + TemplateSettings.treeControllerId).append('<input type="button" value="Open All" onClick="ExpandFolder.openAll();" />&nbsp;').append('<input type="button" value="Close All" onClick="ExpandFolder.closeAll();" />'), $(Reassemble.selectorGlobalindexToggleDiv).click(Reassemble.globalindexToggleHandler), $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId, "1"), Reassemble.objectTocData != null && (vi = $(TemplateSettings.selectorTocFile).attr("src").replace(TemplateSettings.templateTocFileName, ""), Reassemble.objectTocData.setRootURL(vi), Reassemble.objectTocData.createContents(), ExpandFolder.initExpandFolder()), (ft || yt) && ft && Reassemble.focusIndexURL(location.href), $(Reassemble.selectorGlobalindexWrapperDiv).css("position") != "fixed" && (Reassemble.globalindexScrollTarget = document.getElementById(Reassemble.globalindexWrapperId))), p != "" && typeof jQuery == "function") {
        for (ot = Search.parseQuery(p), w = "", t = 0; t < ot.length; t++)
            ot[t] != "" && (ot[t].match(/^ +$/) || ot[t].charAt(0) != "\t" && (lt = Search.escapeRegex(ot[t]), w != "" && (w += "|"), w += lt));
        w != "" && (k = document.getElementById(Reassemble.autoindexContentId), k != null ? $(document).ready(Reassemble.highlightText(document, k, w, "search_highlight")) : $(document).ready(Reassemble.highlightText(document, document.body, w, "search_highlight")))
    }
    Reassemble.loadSetting(), Reassemble.changeViewMode(Reassemble.viewMode), Reassemble.resizeHandler(), Reassemble.scrollHandler();

    //workaround for IE/Chrome
    var hash = location.hash;
    var userAgent = navigator.userAgent.toLowerCase();
    if (hash && (/msie/.test(userAgent) || /chrome/.test(userAgent))) {
        location.href = location.href;
    }

}, Reassemble.selectorGlobalindexFocusIndex = ExpandFolder.selectorTreePaneDiv + " a", Reassemble.focusIndexJS = function(n) {
    if (n != null) {
        n = n.replace(/\.\.\//g, "");
        var t = null;
        $(Reassemble.selectorGlobalindexFocusIndex).each(function() {
            var r = $(this).attr("href"), u = r.match(/viewPage\("([^,]+)",[^\)]+\)/i), i = RegExp.$1.replace(/\.\.\//g, "");
            u != null && i != null && n.lastIndexOf(i) != -1 && (t = r)
        }), $(Reassemble.selectorGlobalindexFocusIndex).each(function() {
            $(this).attr("href") == t ? $(this).addClass("focused") : $(this).removeClass("focused")
        })
    }
}, Reassemble.focusIndexURL = function(n) {
    if (n != null) {
        var t = null;
        $(Reassemble.selectorGlobalindexFocusIndex).each(function() {
            var i = $(this).attr("href");
            n.lastIndexOf(i.replace(/\.\.\//g, "")) != -1 && (t = i)
        }), $(Reassemble.selectorGlobalindexFocusIndex).each(function() {
            $(this).attr("href") == t ? $(this).addClass("focused") : $(this).removeClass("focused")
        })
    }
}, Reassemble.setCookie = function(n, t, i) {
    var r = "";
    r += n + "=" + encodeURIComponent(t), i && (r += "; path=" + i), document.cookie = r
}, Reassemble.saveSetting = function() {
    var n;
    Reassemble.autoindexEnabled && (n = null, n = $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId), Reassemble.setCookie(TemplateSettings.cookieKeyAutoindexToggle, n != null ? n : "1", "/")), Reassemble.globalindexEnabled && document.getElementById && (n = null, n = $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId), Reassemble.setCookie(TemplateSettings.cookieKeyGlobalindexToggle, n != null ? n : "1", "/"), $(ExpandFolder.selectorTreePaneDiv + " div[" + ExpandFolder.attributeFolded + "]").each(function() {
        Reassemble.setCookie($(this).attr("id"), $(this).attr(ExpandFolder.attributeFolded), "/")
    }), Reassemble.setCookie(TemplateSettings.cookieKeyViewmode, Reassemble.viewMode, "/"))
}, Reassemble.loadSetting = function() {
    for (var f = document.cookie.split(";"), t, i, u = 0; u < f.length; u++) {
        var e = f[u].split("="), r = e[0].replace(/^ */, ""), n = decodeURIComponent(e[1]);
        Reassemble.autoindexEnabled && r == TemplateSettings.cookieKeyAutoindexToggle && $(Reassemble.selectorAutoindexWrapperDiv).attr(Reassemble.autoindexToggleAttrId, n), Reassemble.globalindexEnabled && (r == TemplateSettings.cookieKeyGlobalindexToggle ? $(Reassemble.selectorGlobalindexWrapperDiv).attr(Reassemble.globalindexToggleAttrId, n) : (i = document.getElementById(r), i && ($(i).css("display", n == "true" ? "none" : "block").attr(ExpandFolder.attributeFolded, n), $("img#" + ExpandFolder.expandImgIdPrefix + r).attr("src", n == "true" ? ExpandFolder.closeIconPath : ExpandFolder.openIconPath).attr("class", n == "true" ? ExpandFolder.styleCloseImg : ExpandFolder.styleOpenImg)))), r == TemplateSettings.cookieKeyViewmode && (t = parseInt(n), isNaN(t) && (t = 0), (t < 0 || t > 2) && (t = 0), Reassemble.viewMode = "" + t, i = document.getElementById(TemplateSettings.changeViewModeIdPrefix + Reassemble.viewMode), i && (i.checked = !0))
    }
}, Reassemble.selectorChangeViewMode = Reassemble.selectorAutoindexTabDiv + " ul li a[href*=#" + TemplateSettings.guidelineItemLabelPrefix + "]", Reassemble.changeViewMode = function(n) {
    var t = parseInt(n);
    if (isNaN(t) && (t = 0), (t < 0 || t > 2) && (t = 0), Reassemble.viewMode = "" + t, typeof Guideline.initExpandGuideline == "function" && (Guideline.initExpandGuideline(), Reassemble.autoindexEnabled))
        switch (t) {
            case 1:
                $(Reassemble.selectorChangeViewMode).parent().css("display", "none"), Reassemble.autoindexFocusIndexInvoke();
                break;
            case 0:
            case 2:
            default:
                $(Reassemble.selectorChangeViewMode).parent().css("display", "block"), Reassemble.autoindexFocusIndexInvoke()
        }
}, Reassemble.viewPrintPage = function() {
    var n = $("select#" + TemplateSettings.selectCategoryId + " option:selected").val(), t;
    n != null && n != "" && objTOC != null && (t = $(TemplateSettings.selectorTocFile).attr("src").replace(TemplateSettings.templateTocFileName, ""), location.href = t + "printpage.html?category=" + encodeURIComponent(n))
}, Reassemble.highlightText = function(n, t, i, r) {
    var f, s;
    if (t.nodeType == 3) {
        var u = t.nodeValue, h = new RegExp(i, "i"), e = u.search(h), o = h.exec(u);
        e >= 0 && !$(t.parentNode).hasClass(r) && (o = o[0], f = n.createElement("span"), f.className = r, f.appendChild(n.createTextNode(u.substr(e, o.length))), s = n.createTextNode(u.substr(e + o.length)), t.parentNode.insertBefore(f, t.parentNode.insertBefore(s, t.nextSibling)), t.nodeValue = u.substr(0, e), Reassemble.highlightText(n, s, i, r))
    } else
        $(t).is("button, select, textarea") || $(t.childNodes).each(function() {
            Reassemble.highlightText(n, this, i, r)
        })
}, Reassemble.setEventHandler("load", Reassemble.reassemble), Reassemble.setEventHandler("unload", Reassemble.saveSetting), Reassemble.setEventHandler("scroll", Reassemble.scrollHandler), Reassemble.setEventHandler("resize", Reassemble.resizeHandler);
var Guideline = function() {
}, countGuidelineItem = 1;
Guideline.initExpandGuideline = function() {
    var u = location.search, e, f, t, r, n;
    u.lastIndexOf("?") != -1 && (u = u.slice(u.lastIndexOf("?") + 1));
    var c = u.split("&"), v = Reassemble.viewMode, a = "1", o = "1", h = "1", s = "1", l = "";
    for (i = 0; i < c.length; i++)
        (e = c[i], f = e.indexOf("="), f < 0) || (t = e.substring(0, f), t = decodeURIComponent(t), r = decodeURIComponent(e.slice(f + 1)), t.match(/^mode$/i) || (t.match(/^level$/i) ? a = r : t.match(/^figure$/i) ? (o = parseInt(r), isNaN(o) && (o = 0)) : t.match(/^table$/i) ? (h = parseInt(r), isNaN(h) && (h = 0)) : t.match(/^code$/i) ? (s = parseInt(r), isNaN(s) && (s = 0)) : t.match(/^url$/i) && (l = r)));
    n = parseInt(v), isNaN(n) && (n = 0), (n < 0 || n > 2) && (n = 0), $("div[id^=" + TemplateSettings.guidelineDescIdPrefix + "]").css("display", n == 0 || n == 1 ? "block" : "none"), $("div[id^=" + TemplateSettings.guidelineItemIdPrefix + "]").css("display", n == 0 || n == 2 ? "block" : "none")
}, Guideline.viewPage = function(n, t, i, r, u, f) {
    var e = n.split("#"), o = e[0] + "?level=" + i + "&figure=" + r + "&table=" + u + "&code=" + f + (e.length > 1 ? "#" + e[1] : "");
    location.href = t != null && t != "" ? o : o
};
var Search = function() {
};
Search.resultCount = 0, Search.indexData = [], Search.search = function(n, t, i, r, u) {
    var p = document.getElementById(t), y = document.getElementById(i), o, a, e, f, h, v, c, l, s;
    if (p != null && y != null) {
        if (typeof jQuery != "function") {
            alert(LocaleString.lcStrMessageNeedJQuery);
            return
        }
        if (Search.indexData.length != 0 && $("div#" + i).html() == "") {
            for (Search.resultCount = 0, $("div#" + t).html(LocaleString.lcStrMessageSearching), o = new Array(0), e = 0; e < Search.indexData.length; e++)
                (f = Search.indexData[e], f != null) && (f.length < 4 || (r || f[3] != 1) && (a = Search.matchQuery(n, f, i, t), a != null && o.push(a)));
            for (o.sort(Search.resultSorter); u > o.length; )
                u -= TemplateSettings.searchResultCountPerPage;
            for (u < 0 && (u = 0), e = 0; e < o.length; e++)
                if ((f = o[e], f != null) && !(f.length < 4) && !(e < u) && (h = f[0], v = f[1], h = Search.addQueryToURL(h, n, "highlighttext"), h.length > 1 && h[0] == "/" && (h = h.slice(1)), c = "", c += '<p class="search_result_title">', c += '<a href="' + h + '">' + v + "</a> (score: " + f[3] + ")<br />", c += "</p>", c += '<p class="search_result_line">' + f[2] + "</p>", $("div#" + i).append($(c)), Search.resultCount++, Search.resultCount >= TemplateSettings.searchResultCountPerPage))
                    break;
            l = "", u > 0 && (l += ' <input type="button" onclick="btnClick(\'' + (u - TemplateSettings.searchResultCountPerPage) + '\')" value="' + LocaleString.lcStrLabelSearchPrev.replace("%c%", TemplateSettings.searchResultCountPerPage) + '">'), u + TemplateSettings.searchResultCountPerPage < o.length && (l += ' <input type="button" onclick="btnClick(\'' + (u + TemplateSettings.searchResultCountPerPage) + '\')" value="' + LocaleString.lcStrLabelSearchNext.replace("%c%", TemplateSettings.searchResultCountPerPage) + '">'), s = "", s += '<hr class="' + TemplateSettings.searchMessageLineStyle + '">', s += LocaleString.lcStrLabelSearchResult.replace("%r%", "" + o.length), o.length > 0 && (s += LocaleString.lcStrLabelSearchView.replace("%s%", "" + (u + 1)).replace("%e%", "" + (u + Search.resultCount))), s += l, s += '<hr class="' + TemplateSettings.searchMessageLineStyle + '">', $("div#" + t).html(s), l != "" && $("div#" + i).append($("<div>" + s + "</div"))
        }
    }
}, Search.resultSorter = function(n, t) {
    return n[3] == t[3] ? n[1] < t[1] ? -1 : 1 : t[3] - n[3]
}, Search.addQueryToURL = function(n, t, i) {
    if (n == null || t == null)
        return "";
    var u = n.indexOf("?"), r = n.indexOf("#");
    return r < 0 ? n + (u < 0 ? "?" + i + "=" : "&" + i + "=") + encodeURIComponent(t) : n.slice(0, r) + (u < 0 ? "?" + i + "=" : "&" + i + "=") + encodeURIComponent(t) + n.slice(r)
}, Search.parseQuery = function(n) {
    for (var o = n.split(" "), e = new Array(0), f = 0, r = !1, u = !1, i = "", t; f < o.length; )
        t = o[f], r ? i += " " : t.charAt(0) == "-" ? (t = t.slice(1), u = !0) : u = !1, r = Search.checkDQ(t, -1, r), r ? i += t.replace(/"/g, "") : (i += t.replace(/"/g, ""), e.push((u ? "\t" : "") + i), i = ""), f++;
    return i != "" && e.push((u ? "\t" : "") + i), e
}, Search.checkDQ = function(n, t, i) {
    var r = i, u = n.indexOf('"', t + 1);
    return u >= 0 && (r = Search.checkDQ(n, u, !r)), r
}, Search.matchQuery = function(n, t) {
    for (var e = Search.parseQuery(n), p = !0, v = "", h = t[2], l = h.length, nt = !0, y = !1, g = 0, b, a, c, s, d, k, o, f, tt, u = 0; u < e.length; u++)
        if (e[u] != "" && !e[u].match(/^ +$/)) {
            if (b = !1, f = e[u], f.charAt(0) == "\t") {
                if (f = f.slice(1), f.match(/^ +$/))
                    continue;
                b = !0
            } else
                nt = !1;
            f = Search.escapeRegex(f);
            var rt = new RegExp(f, "i"), w = h.search(rt), ut = new RegExp(f, "ig"), it = h.match(ut);
            if (it != null && (g += it.length), a = w >= 0, b)
                a && (y = !0, p = !1);
            else {
                if (y)
                    continue;
                if (p &= a, !a)
                    continue;
                l > w && (l = w)
            }
        }
    if (p && !y && !nt) {
        for (l == h.length && (l = 0), c = l - TemplateSettings.searchResultDigestLength, c < 0 && (c = 0), v = Search.escapeHtml(h.substr(c, TemplateSettings.searchResultDigestLength * 2)), s = t[0], d = t[1], s.length > 1 && s[0] == "/" && (s = s.slice(1)), k = "", o = "", u = 0; u < e.length; u++)
            e[u] != "" && (e[u].match(/^ +$/) || e[u].charAt(0) != "\t" && (f = Search.escapeRegex(e[u]), o != "" && (o += "|"), o += f));
        return o != "" && (tt = new RegExp(o, "ig"), v = v.replace(tt, Search.highlighter)), k += (c > 0 ? "..." : "") + v + (c + TemplateSettings.searchResultDigestLength * 2 < h.length ? "..." : "") + "<br />", [s, d, k, g]
    }
    return null
}, Search.highlighter = function(n) {
    return '<span class="search_highlight">' + n + "</span>"
}, Search.escapeRegex = function(n) {
    if (n == null || typeof n != "string")
        return "";
    var t = n;
    return t = t.replace(/\\/g, "\\\\"), t = t.replace(/\^/g, "\\^"), t = t.replace(/\$/g, "\\$"), t = t.replace(/\./g, "\\."), t = t.replace(/\*/g, "\\*"), t = t.replace(/\+/g, "\\+"), t = t.replace(/\|/g, "\\|"), t = t.replace(/\(/g, "\\("), t = t.replace(/\)/g, "\\)"), t = t.replace(/\[/g, "\\["), t = t.replace(/\]/g, "\\]"), t = t.replace(/\{/g, "\\{"), t = t.replace(/\}/g, "\\}"), t = t.replace(/\//g, "\\/")
}, Search.escapeHtml = function(n) {
    if (n == null || typeof n != "string")
        return "";
    var t = n;
    return t = t.replace(/&/g, "&amp;"), t = t.replace(/</g, "&lt;"), t = t.replace(/>/g, "&gt;"), t = t.replace(/"/g, "&quot;"), t = t.replace(/\n/g, "<br />"), t = t.replace(/\t/g, "&nbsp;&nbsp;")
}, Search.filterHtml = function(n) {
    if (n == null || typeof n != "string")
        return "";
    var t = n;
    return t = Search.removeTagAndText(t, "head"), t = Search.removeTagAndText(t, "noscript"), t = Search.removeTagAndText(t, "script"), t = Search.removeTagAndText(t, "style"), t = Search.extractTextFromTag(t, "pre", "", "", "", !0), t = t.replace(/\n/g, ""), t = Search.extractTextFromTag(t, "div", 'class="(table|figure|code)"', "", "\n", !1), t = t.replace(/<br( +[^>]*\/?>|>)/ig, "\n"), t = t.replace(/<(th|td|dd)( +[^>]*>|>)/ig, "\t"), t = t.replace(/<\/(h[1-6]|tr|p|ul|ol|dt|dd) *>/ig, "\n"), t = t.replace(/<li( +[^>]*>|>)/ig, "\n"), t = t.replace(/<[^>]*>/g, ""), t = t.replace(/&lt;/ig, "<"), t = t.replace(/&gt;/ig, ">"), t = t.replace(/&quot;/ig, '"'), t = t.replace(/&nbsp;/ig, " "), t = t.replace(/&amp;/ig, "&"), t = t.replace(/ +/g, " "), t = t.replace(/ \n/g, "\n"), t = t.replace(/\n+/g, "\n")
}, Search.removeTagAndText = function(n, t) {
    var o, e;
    if (n == null || typeof n != "string" || t == null || typeof t != "string")
        return "";
    for (var i = n, r = 0, h = new RegExp("<" + t + "( +[^>]*>|>)", "i"), s = new RegExp("</" + t + " *>", "i"); r >= 0; ) {
        if (r = i.search(h), r < 0)
            break;
        var l = i.match(h), c = l[0].length, f = i.slice(r + c), u = f.search(s);
        u < 0 ? (u = r + c, i = i.slice(0, r) + i.slice(u)) : (o = f.match(s), e = o[0].length, i = i.slice(0, r) + f.slice(u + e))
    }
    return i
}, Search.extractTextFromTag = function(n, t, i, r, u, f) {
    var a, c, l, p, v;
    if (n == null || typeof n != "string")
        return "";
    if (t == null || typeof t != "string")
        return n;
    a = "", i != null && typeof i == "string" && (a = i), c = "", r != null && typeof r == "string" && (c = r), l = "", u != null && typeof u == "string" && (l = u);
    for (var e = n, o = 0, y = new RegExp("<" + t + (a != "" ? " " + a : "") + "( [^>]*[^/]>|>)", "i"), w = new RegExp("</" + t + " *>", "i"); o >= 0; ) {
        if (o = e.search(y), o < 0)
            break;
        var b = e.match(y), k = b[0].length, s = e.slice(o + k), h = s.search(w);
        if (h < 0)
            break;
        p = s.match(w), v = p[0].length, e = f ? e.slice(0, o) + c + s.slice(0, h).replace(/\n/g, "<br />") + l + s.slice(h + v) : e.slice(0, o) + c + s.slice(0, h) + l + s.slice(h + v)
    }
    return e
}

