#ifndef _Quazal_SessionStateDDL_H_
#define _Quazal_SessionStateDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(SessionState): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define byte m_bySessionState
	DDLTYPE(byte)::CPPType m_bySessionState;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(SessionState)
	DATASET(SessionState)( const DATASET(SessionState) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_bySessionState(oOther.m_bySessionState)
	{
	}

	_DS_ASSIGN_OPERATOR(SessionState){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_bySessionState);
	}

	_DS_EQUAL_OPERATOR(SessionState){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_bySessionState);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(SessionState)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_bySessionState,m_bySessionState);
	}



	DATASET_VALID_REVISION_DEF(m_bySessionState, 0);
	qBool DATASET_ISVALID(m_bySessionState){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(byte) Tm_bySessionState;
};

#define _DSDECL_SessionState SessionState

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SessionStateDDL.h_H_
