﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _BitOn_H_
#define _BitOn_H_

#include <OnlineCore/src/Platform/Core/PlatformImpl.h>
#include <OnlineCore/src/Platform/Core/qList.h>

BEGIN_NAMESPACE_NEX

class BitOn: public RootObject
{

public:
    BitOn();
    virtual ~BitOn();

    static void GetBitOn(qUnsignedInt32 uiValue, qList<qUnsignedInt16>* plstResults);
    static qInt16 GetBitOn(qUnsignedInt32 uiValue);

#ifdef TEST_ENABLED
    // {Secret}
    static qBool Test();
#endif
};

END_NAMESPACE_NEX

#endif

