﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _EncryptionError_H_
#define _EncryptionError_H_

#include <OnlineCore/src/Core/Encryption/Interface/EncryptionDecl.h>

#define ENCRYPTION_SUCCESS                  ((qUnsignedInt32)0)

#define ENCRYPTION_ERROR                    ((qUnsignedInt32)1)

#define ENCRYPTION_ERROR_CANNOT_CRYPT       ((qUnsignedInt32)2)

#define ENCRYPTION_ERROR_INVALID_PARAM      ((qUnsignedInt32)3)

#define ENCRYPTION_ERROR_NOT_SUPPORTED      ((qUnsignedInt32)4)


#endif

