﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DeviceData_H_
#define _DeviceData_H_

#include <OnlineCore/src/Transport/Interface/TransportDecl.h>
#include <OnlineCore/src/Platform/Core/RefCountedObject.h>

BEGIN_NAMESPACE_NEX

class DeviceData: public RefCountedObject
{
public:
    DeviceData(qUnsignedInt32 uiDataSize);
    virtual ~DeviceData();

    qUnsignedInt32 GetDataSize();

#ifdef TEST_ENABLED
    static qBool Test();
#endif

private:
    qUnsignedInt32  m_uiDataSize;
};


END_NAMESPACE_NEX

#endif
