#ifndef _Quazal_DataStoreCompletePostParamDDL_H_
#define _Quazal_DataStoreCompletePostParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreCompletePostParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreCompletePostParam): public RootObject {
public:
    DDLCLASS(DataStoreCompletePostParam)():_mRevision_DataStoreCompletePostParam(0)
     {};
    DDLCLASS(DataStoreCompletePostParam)(const DDLCLASS(DataStoreCompletePostParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreCompletePostParam(oOther._mRevision_DataStoreCompletePostParam),
        dataId(oOther.dataId),
        isSuccess(oOther.isSuccess)
    {
    }
    virtual ~DDLCLASS(DataStoreCompletePostParam)() {};
    const DDLCLASS(DataStoreCompletePostParam) &operator=(const DDLCLASS(DataStoreCompletePostParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreCompletePostParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreCompletePostParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreCompletePostParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreCompletePostParam) *pValue);
    qByte _mRevision_DataStoreCompletePostParam;
    qByte GetClassRevision_DataStoreCompletePostParam() const {return _mRevision_DataStoreCompletePostParam;}
    void SetClassRevision_DataStoreCompletePostParam(qByte revision) {_mRevision_DataStoreCompletePostParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreCompletePostParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isSuccess;
    NEX_CLASS_VALID_REVISION_DEF(isSuccess, 0);
    qBool NEX_CLASS_ISVALID(isSuccess) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreCompletePostParam): public DDLType {
public:
    typedef DataStoreCompletePostParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreCompletePostParam)& oDataStoreCompletePostParam) {
        DDLCLASS(DataStoreCompletePostParam)::Add(pMessageToSend,oDataStoreCompletePostParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreCompletePostParam)* pDataStoreCompletePostParamToRefresh) {
        DDLCLASS(DataStoreCompletePostParam)::Extract(pReceivedMessage,pDataStoreCompletePostParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreCompletePostParamDDL.h_H_
