#ifndef _Quazal_DataStoreGetMetaParamDDL_H_
#define _Quazal_DataStoreGetMetaParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePersistenceTarget.h"

BEGIN_NAMESPACE_NEX
class DataStoreGetMetaParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreGetMetaParam): public RootObject {
public:
    DDLCLASS(DataStoreGetMetaParam)():_mRevision_DataStoreGetMetaParam(0)
     {};
    DDLCLASS(DataStoreGetMetaParam)(const DDLCLASS(DataStoreGetMetaParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreGetMetaParam(oOther._mRevision_DataStoreGetMetaParam),
        dataId(oOther.dataId),
        persistenceTarget(oOther.persistenceTarget),
        resultOption(oOther.resultOption),
        accessPassword(oOther.accessPassword)
    {
    }
    virtual ~DDLCLASS(DataStoreGetMetaParam)() {};
    const DDLCLASS(DataStoreGetMetaParam) &operator=(const DDLCLASS(DataStoreGetMetaParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreGetMetaParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreGetMetaParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreGetMetaParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreGetMetaParam) *pValue);
    qByte _mRevision_DataStoreGetMetaParam;
    qByte GetClassRevision_DataStoreGetMetaParam() const {return _mRevision_DataStoreGetMetaParam;}
    void SetClassRevision_DataStoreGetMetaParam(qByte revision) {_mRevision_DataStoreGetMetaParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreGetMetaParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DataStorePersistenceTarget persistenceTarget;
    NEX_CLASS_VALID_REVISION_DEF(persistenceTarget, 0);
    qBool NEX_CLASS_ISVALID(persistenceTarget) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType resultOption;
    NEX_CLASS_VALID_REVISION_DEF(resultOption, 0);
    qBool NEX_CLASS_ISVALID(resultOption) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType accessPassword;
    NEX_CLASS_VALID_REVISION_DEF(accessPassword, 0);
    qBool NEX_CLASS_ISVALID(accessPassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreGetMetaParam): public DDLType {
public:
    typedef DataStoreGetMetaParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreGetMetaParam)& oDataStoreGetMetaParam) {
        DDLCLASS(DataStoreGetMetaParam)::Add(pMessageToSend,oDataStoreGetMetaParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreGetMetaParam)* pDataStoreGetMetaParamToRefresh) {
        DDLCLASS(DataStoreGetMetaParam)::Extract(pReceivedMessage,pDataStoreGetMetaParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreGetMetaParamDDL.h_H_
