#ifndef _Quazal_DataStorePrepareGetParamDDL_H_
#define _Quazal_DataStorePrepareGetParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePersistenceTarget.h"

BEGIN_NAMESPACE_NEX
class DataStorePrepareGetParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePrepareGetParam): public RootObject {
public:
    DDLCLASS(DataStorePrepareGetParam)():_mRevision_DataStorePrepareGetParam(0)
    , extraData(0)     {};
    DDLCLASS(DataStorePrepareGetParam)(const DDLCLASS(DataStorePrepareGetParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePrepareGetParam(oOther._mRevision_DataStorePrepareGetParam),
        dataId(oOther.dataId),
        lockId(oOther.lockId),
        persistenceTarget(oOther.persistenceTarget),
        accessPassword(oOther.accessPassword),
        extraData(oOther.extraData)
    {
    }
    virtual ~DDLCLASS(DataStorePrepareGetParam)() {};
    const DDLCLASS(DataStorePrepareGetParam) &operator=(const DDLCLASS(DataStorePrepareGetParam) &oOther);
    qBool operator==(const DDLCLASS(DataStorePrepareGetParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePrepareGetParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePrepareGetParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePrepareGetParam) *pValue);
    qByte _mRevision_DataStorePrepareGetParam;
    qByte GetClassRevision_DataStorePrepareGetParam() const {return _mRevision_DataStorePrepareGetParam;}
    void SetClassRevision_DataStorePrepareGetParam(qByte revision) {_mRevision_DataStorePrepareGetParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePrepareGetParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lockId;
    NEX_CLASS_VALID_REVISION_DEF(lockId, 0);
    qBool NEX_CLASS_ISVALID(lockId) const { return true; /* The revision is 0. Always true */}
    DataStorePersistenceTarget persistenceTarget;
    NEX_CLASS_VALID_REVISION_DEF(persistenceTarget, 0);
    qBool NEX_CLASS_ISVALID(persistenceTarget) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType accessPassword;
    NEX_CLASS_VALID_REVISION_DEF(accessPassword, 0);
    qBool NEX_CLASS_ISVALID(accessPassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType extraData;
    NEX_CLASS_VALID_REVISION_DEF(extraData, 0);
    qBool NEX_CLASS_ISVALID(extraData) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePrepareGetParam): public DDLType {
public:
    typedef DataStorePrepareGetParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePrepareGetParam)& oDataStorePrepareGetParam) {
        DDLCLASS(DataStorePrepareGetParam)::Add(pMessageToSend,oDataStorePrepareGetParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePrepareGetParam)* pDataStorePrepareGetParamToRefresh) {
        DDLCLASS(DataStorePrepareGetParam)::Extract(pReceivedMessage,pDataStorePrepareGetParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePrepareGetParamDDL.h_H_
