#ifndef _Quazal_DataStorePrepareGetParamV1DDL_H_
#define _Quazal_DataStorePrepareGetParamV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePrepareGetParamV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePrepareGetParamV1): public RootObject {
public:
    DDLCLASS(DataStorePrepareGetParamV1)():_mRevision_DataStorePrepareGetParamV1(0)
     {};
    DDLCLASS(DataStorePrepareGetParamV1)(const DDLCLASS(DataStorePrepareGetParamV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePrepareGetParamV1(oOther._mRevision_DataStorePrepareGetParamV1),
        dataId(oOther.dataId),
        lockId(oOther.lockId)
    {
    }
    virtual ~DDLCLASS(DataStorePrepareGetParamV1)() {};
    const DDLCLASS(DataStorePrepareGetParamV1) &operator=(const DDLCLASS(DataStorePrepareGetParamV1) &oOther);
    qBool operator==(const DDLCLASS(DataStorePrepareGetParamV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePrepareGetParamV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePrepareGetParamV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePrepareGetParamV1) *pValue);
    qByte _mRevision_DataStorePrepareGetParamV1;
    qByte GetClassRevision_DataStorePrepareGetParamV1() const {return _mRevision_DataStorePrepareGetParamV1;}
    void SetClassRevision_DataStorePrepareGetParamV1(qByte revision) {_mRevision_DataStorePrepareGetParamV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePrepareGetParamV1() {return 0;}
    DDLTYPE(uint32)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lockId;
    NEX_CLASS_VALID_REVISION_DEF(lockId, 0);
    qBool NEX_CLASS_ISVALID(lockId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePrepareGetParamV1): public DDLType {
public:
    typedef DataStorePrepareGetParamV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePrepareGetParamV1)& oDataStorePrepareGetParamV1) {
        DDLCLASS(DataStorePrepareGetParamV1)::Add(pMessageToSend,oDataStorePrepareGetParamV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePrepareGetParamV1)* pDataStorePrepareGetParamV1ToRefresh) {
        DDLCLASS(DataStorePrepareGetParamV1)::Extract(pReceivedMessage,pDataStorePrepareGetParamV1ToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePrepareGetParamV1DDL.h_H_
