/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DATA_STORE_RATING_INFO_H
#define _DATA_STORE_RATING_INFO_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "DataStoreRatingInfoDDL.h"
#include "DataStoreConstants.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class DataStoreRatingInfo: public DDLCLASS(DataStoreRatingInfo)
{
public:
    /* Please see man pages for details 
        
    */
    DataStoreRatingInfo() {}

    /* Please see man pages for details 
        
    */
    virtual ~DataStoreRatingInfo() {}

    /* Please see man pages for details 
        

           

        
    */
    qInt64 GetTotalValue() const
    {
        return this->totalValue;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetCount() const
    {
        return this->count;
    }

    /* Please see man pages for details 
        

        
    */
    qInt64 GetInitialValue() const
    {
        return this->initialValue;
    }

    /* Please see man pages for details 
        

        
    */
    void Trace(qUnsignedInt64 uiTraceFlags=TRACE_ALWAYS) const
    {
        QTRACE(uiTraceFlags, *this);
    }

    /* Please see man pages for details 
        
        
    */
    inline friend StringStream& operator<<(StringStream& oStr, const DataStoreRatingInfo& oRatingInfo);
};

inline StringStream& operator<<(StringStream& oStr, const DataStoreRatingInfo& oRatingInfo)
{
    oStr << _T("DataStoreRatingInfo: (")
         << _T("totalValue=") << oRatingInfo.totalValue
         << _T(", count=") << oRatingInfo.count
         << _T(", initialValue=") << oRatingInfo.initialValue
         << _T(")");

    return oStr;
}

END_NAMESPACE_NEX

#endif
