/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DATA_STORE_RATING_LOG_H
#define _DATA_STORE_RATING_LOG_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "DataStoreRatingLogDDL.h"
#include "DataStoreConstants.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class DataStoreRatingLog: public DDLCLASS(DataStoreRatingLog)
{
public:
    /* Please see man pages for details 
        
    */
    DataStoreRatingLog()
    {
        this->isRated = false;
    }

    /* Please see man pages for details 
        
    */
    virtual ~DataStoreRatingLog() {}

    /* Please see man pages for details 
        

        
        
    */
    qBool IsRated() const
    {
        return this->isRated;
    }

    /* Please see man pages for details 
        
        

        
    */
    qUnsignedInt32 GetPrincipalId() const
    {
        return this->pid;
    }

    /* Please see man pages for details 
        

            

        
    */
    qInt32 GetRatingValue() const
    {
        return this->ratingValue;
    }

    /* Please see man pages for details 
        

        
    */
    const DateTime& GetLockExpirationTime() const
    {
        return this->lockExpirationTime;
    }
};

END_NAMESPACE_NEX

#endif
