#ifndef _Quazal_DataStoreRatingLogDDL_H_
#define _Quazal_DataStoreRatingLogDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingLog;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingLog): public RootObject {
public:
    DDLCLASS(DataStoreRatingLog)():_mRevision_DataStoreRatingLog(0)
     {};
    DDLCLASS(DataStoreRatingLog)(const DDLCLASS(DataStoreRatingLog) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingLog(oOther._mRevision_DataStoreRatingLog),
        isRated(oOther.isRated),
        pid(oOther.pid),
        ratingValue(oOther.ratingValue),
        lockExpirationTime(oOther.lockExpirationTime)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingLog)() {};
    const DDLCLASS(DataStoreRatingLog) &operator=(const DDLCLASS(DataStoreRatingLog) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingLog) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingLog) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingLog) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingLog) *pValue);
    qByte _mRevision_DataStoreRatingLog;
    qByte GetClassRevision_DataStoreRatingLog() const {return _mRevision_DataStoreRatingLog;}
    void SetClassRevision_DataStoreRatingLog(qByte revision) {_mRevision_DataStoreRatingLog=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingLog() {return 0;}
    DDLTYPE(bool)::CPPType isRated;
    NEX_CLASS_VALID_REVISION_DEF(isRated, 0);
    qBool NEX_CLASS_ISVALID(isRated) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType ratingValue;
    NEX_CLASS_VALID_REVISION_DEF(ratingValue, 0);
    qBool NEX_CLASS_ISVALID(ratingValue) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType lockExpirationTime;
    NEX_CLASS_VALID_REVISION_DEF(lockExpirationTime, 0);
    qBool NEX_CLASS_ISVALID(lockExpirationTime) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreRatingLog): public DDLType {
public:
    typedef DataStoreRatingLog CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingLog)& oDataStoreRatingLog) {
        DDLCLASS(DataStoreRatingLog)::Add(pMessageToSend,oDataStoreRatingLog);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingLog)* pDataStoreRatingLogToRefresh) {
        DDLCLASS(DataStoreRatingLog)::Extract(pReceivedMessage,pDataStoreRatingLogToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreRatingLogDDL.h_H_
