/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _SimpleCommunity_H_
#define _SimpleCommunity_H_

#include <RendezVous/Services/Jugem/Matchmake/src/Common/SimpleCommunityDDL.h>

BEGIN_NAMESPACE_NEX

class MatchmakeSession;

/* Please see man pages for details 
 

 
 */
#ifdef FOR_DOC_PURPOSE
class SimpleCommunity: public RootObject
#else
class SimpleCommunity: public DDLCLASS(SimpleCommunity)
#endif
{
public:
    /* Please see man pages for details 
    
    */
    SimpleCommunity() {}

    /* Please see man pages for details 
    
    */
    virtual ~SimpleCommunity() {}

    /* Please see man pages for details 
     

     
     */
    PrincipalID GetGatheringID() const
    {
        return m_GatheringID;
    }

    /* Please see man pages for details 
     

     
     */
    qUnsignedInt32 GetMatchmakeSessionCount() const
    {
        return m_MatchmakeSessionCount;
    }

};

END_NAMESPACE_NEX

#endif /* _SimpleCommunity_H_ */
