#ifndef _Quazal_UpdateMatchmakeSessionParamDDL_H_
#define _Quazal_UpdateMatchmakeSessionParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "MatchmakeParam.h"

BEGIN_NAMESPACE_NEX
class UpdateMatchmakeSessionParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(UpdateMatchmakeSessionParam): public RootObject {
public:
    DDLCLASS(UpdateMatchmakeSessionParam)():_mRevision_UpdateMatchmakeSessionParam(1)
    , attributes(0)    , applicationBuffer(0)     {};
    DDLCLASS(UpdateMatchmakeSessionParam)(const DDLCLASS(UpdateMatchmakeSessionParam) &oOther):
        RootObject(oOther),
        _mRevision_UpdateMatchmakeSessionParam(oOther._mRevision_UpdateMatchmakeSessionParam),
        gid(oOther.gid),
        modificationFlag(oOther.modificationFlag),
        attributes(oOther.attributes),
        openParticipation(oOther.openParticipation),
        applicationBuffer(oOther.applicationBuffer),
        progressScore(oOther.progressScore),
        matchmakeParam(oOther.matchmakeParam),
        startedTime(oOther.startedTime),
        userPassword(oOther.userPassword),
        gameMode(oOther.gameMode),
        description(oOther.description),
        minParticipants(oOther.minParticipants),
        maxParticipants(oOther.maxParticipants),
        matchmakeSystemType(oOther.matchmakeSystemType),
        participationPolicy(oOther.participationPolicy),
        policyArgument(oOther.policyArgument)
    {
    }
    virtual ~DDLCLASS(UpdateMatchmakeSessionParam)() {};
    const DDLCLASS(UpdateMatchmakeSessionParam) &operator=(const DDLCLASS(UpdateMatchmakeSessionParam) &oOther);
    qBool operator==(const DDLCLASS(UpdateMatchmakeSessionParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(UpdateMatchmakeSessionParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(UpdateMatchmakeSessionParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(UpdateMatchmakeSessionParam) *pValue);
    qByte _mRevision_UpdateMatchmakeSessionParam;
    qByte GetClassRevision_UpdateMatchmakeSessionParam() const {return _mRevision_UpdateMatchmakeSessionParam;}
    void SetClassRevision_UpdateMatchmakeSessionParam(qByte revision) {_mRevision_UpdateMatchmakeSessionParam=revision;}
    static qByte GetKnownMaxClassRevision_UpdateMatchmakeSessionParam() {return 1;}
    DDLTYPE(uint32)::CPPType gid;
    NEX_CLASS_VALID_REVISION_DEF(gid, 0);
    qBool NEX_CLASS_ISVALID(gid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType modificationFlag;
    NEX_CLASS_VALID_REVISION_DEF(modificationFlag, 0);
    qBool NEX_CLASS_ISVALID(modificationFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType attributes;
    NEX_CLASS_VALID_REVISION_DEF(attributes, 0);
    qBool NEX_CLASS_ISVALID(attributes) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType openParticipation;
    NEX_CLASS_VALID_REVISION_DEF(openParticipation, 0);
    qBool NEX_CLASS_ISVALID(openParticipation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType applicationBuffer;
    NEX_CLASS_VALID_REVISION_DEF(applicationBuffer, 0);
    qBool NEX_CLASS_ISVALID(applicationBuffer) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType progressScore;
    NEX_CLASS_VALID_REVISION_DEF(progressScore, 0);
    qBool NEX_CLASS_ISVALID(progressScore) const { return true; /* The revision is 0. Always true */}
    MatchmakeParam matchmakeParam;
    NEX_CLASS_VALID_REVISION_DEF(matchmakeParam, 0);
    qBool NEX_CLASS_ISVALID(matchmakeParam) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType startedTime;
    NEX_CLASS_VALID_REVISION_DEF(startedTime, 0);
    qBool NEX_CLASS_ISVALID(startedTime) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType userPassword;
    NEX_CLASS_VALID_REVISION_DEF(userPassword, 0);
    qBool NEX_CLASS_ISVALID(userPassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType gameMode;
    NEX_CLASS_VALID_REVISION_DEF(gameMode, 0);
    qBool NEX_CLASS_ISVALID(gameMode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType description;
    NEX_CLASS_VALID_REVISION_DEF(description, 0);
    qBool NEX_CLASS_ISVALID(description) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType minParticipants;
    NEX_CLASS_VALID_REVISION_DEF(minParticipants, 0);
    qBool NEX_CLASS_ISVALID(minParticipants) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType maxParticipants;
    NEX_CLASS_VALID_REVISION_DEF(maxParticipants, 0);
    qBool NEX_CLASS_ISVALID(maxParticipants) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType matchmakeSystemType;
    NEX_CLASS_VALID_REVISION_DEF(matchmakeSystemType, 1);
    qBool NEX_CLASS_ISVALID(matchmakeSystemType) const { return NEX_CLASS_VALID_REVISION(matchmakeSystemType) <= _mRevision_UpdateMatchmakeSessionParam;}
    DDLTYPE(uint32)::CPPType participationPolicy;
    NEX_CLASS_VALID_REVISION_DEF(participationPolicy, 1);
    qBool NEX_CLASS_ISVALID(participationPolicy) const { return NEX_CLASS_VALID_REVISION(participationPolicy) <= _mRevision_UpdateMatchmakeSessionParam;}
    DDLTYPE(uint32)::CPPType policyArgument;
    NEX_CLASS_VALID_REVISION_DEF(policyArgument, 1);
    qBool NEX_CLASS_ISVALID(policyArgument) const { return NEX_CLASS_VALID_REVISION(policyArgument) <= _mRevision_UpdateMatchmakeSessionParam;}
};


class DDLTYPE(UpdateMatchmakeSessionParam): public DDLType {
public:
    typedef UpdateMatchmakeSessionParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(UpdateMatchmakeSessionParam)& oUpdateMatchmakeSessionParam) {
        DDLCLASS(UpdateMatchmakeSessionParam)::Add(pMessageToSend,oUpdateMatchmakeSessionParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(UpdateMatchmakeSessionParam)* pUpdateMatchmakeSessionParamToRefresh) {
        DDLCLASS(UpdateMatchmakeSessionParam)::Extract(pReceivedMessage,pUpdateMatchmakeSessionParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_UpdateMatchmakeSessionParamDDL.h_H_
