﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2014 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef _MATCHMAKE_REFEREE_STATS_INIT_PARAM_H
#define _MATCHMAKE_REFEREE_STATS_INIT_PARAM_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "MatchmakeRefereeStatsInitParamDDL.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class MatchmakeRefereeStatsInitParam: public DDLCLASS(MatchmakeRefereeStatsInitParam)
{
public:
    /* Please see man pages for details 
        
    */
    MatchmakeRefereeStatsInitParam()
    {
        Reset();
    }

    /* Please see man pages for details 
        
    */
    virtual ~MatchmakeRefereeStatsInitParam() {}

    /* Please see man pages for details 
        
    */
    void Reset()
    {
        SetInitialRatingValue(0);
    }

    /* Please see man pages for details 
        

        
    */
    void SetInitialRatingValue(qUnsignedInt32 initialRatingValue)
    {
        this->initialRatingValue = initialRatingValue;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetInitialRatingValue() const
    {
        return this->initialRatingValue;
    }

    /* Please see man pages for details 
        

        
    */
    void SetCategory(qUnsignedInt32 category)
    {
        this->category = category;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetCategory() const
    {
        return this->category;
    }
};

END_NAMESPACE_NEX

#endif
