﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2014 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef _MATCHMAKE_REFEREE_STATS_TARGET_H
#define _MATCHMAKE_REFEREE_STATS_TARGET_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "MatchmakeRefereeStatsTargetDDL.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class MatchmakeRefereeStatsTarget: public DDLCLASS(MatchmakeRefereeStatsTarget)
{
public:
    /* Please see man pages for details 
        
    */
    MatchmakeRefereeStatsTarget()
    {
        Reset();
    }

    /* Please see man pages for details 
        
    */
    virtual ~MatchmakeRefereeStatsTarget() {}

    /* Please see man pages for details 
        
    */
    void Reset()
    {
        SetPrincipalId(0);
        SetCategory(0);
    }

    /* Please see man pages for details 
        

        
    */
    void SetPrincipalId(PrincipalID pid)
    {
        this->pid = pid;
    }

    /* Please see man pages for details 
        

        
    */
    PrincipalID GetPrincipalId() const
    {
        return this->pid;
    }

    /* Please see man pages for details 
        

        
    */
    void SetCategory(qUnsignedInt32 category)
    {
        this->category = category;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetCategory() const
    {
        return this->category;
    }

};

END_NAMESPACE_NEX

#endif
