/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _RankingChangeAttributesParam_H_
#define _RankingChangeAttributesParam_H_

#include <RendezVous/Services/Jugem/Ranking/src/Common/RankingChangeAttributesParamDDL.h>
#include <RendezVous/Services/Jugem/Ranking/src/Common/RankingConstants.h>

BEGIN_NAMESPACE_NEX


#ifdef FOR_DOC_PURPOSE
/* Please see man pages for details 
    
*/
class RankingChangeAttributesParam
#else
class RankingChangeAttributesParam: public DDLCLASS(RankingChangeAttributesParam)
#endif
{
public:
    /* Please see man pages for details 
        
    */
    RankingChangeAttributesParam()
    {
        SetModificationFlag(RankingConstants::MODIFICATION_FLAG_NONE);
        this->groups.assign(4,0);
        SetParam(0);
    }

    /* Please see man pages for details 
        
    */
    virtual ~RankingChangeAttributesParam() {};

    /* Please see man pages for details 
        

            
            

        
    */
    void SetModificationFlag(qByte flag)
    {
        this->modificationFlag = flag;
    };

    /* Please see man pages for details 
        

        
    */
    qByte GetModificationFlag() const
    {
        return this->modificationFlag;
    };

    /* Please see man pages for details 
        

            
            

        
    */
    void SetGroup0(qByte group0)
    {
        this->groups[0] = group0;
    };

    /* Please see man pages for details 
        

        
    */
    qByte GetGroup0() const
    {
        return this->groups[0];
    };

    /* Please see man pages for details 
        

            
            

        
    */
    void SetGroup1(qByte group1)
    {
        this->groups[1] = group1;
    };

    /* Please see man pages for details 
        

        
    */
    qByte GetGroup1() const
    {
        return this->groups[1];
    };

    void SetGroups(const qVector<qByte>& groups)
    {
        this->groups = groups;
    };
    const qVector<qByte>& GetGroups() const
    {
        return this->groups;
    };

    /* Please see man pages for details 
        

            
            

        
    */
    void SetParam(qUnsignedInt64 param)
    {
        this->param = param;
    };

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt64 GetParam() const
    {
        return this->param;
    };

};

END_NAMESPACE_NEX

#endif
