/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _RANKING_CONSTANTS_H
#define _RANKING_CONSTANTS_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
  
 */
namespace RankingConstants
{
/* Please see man pages for details 
    
*/
static const qByte MAX_COMMON_DATA_SIZE = 255;

/* Please see man pages for details 
    
*/
static const qUnsignedInt32 MAX_RANGE_RANKING_ORDER = 1000;

/* Please see man pages for details 
    

        
        
        

        
*/
static const qUnsignedInt32 MAX_ACCURATE_ORDER = 5000;

/* Please see man pages for details 
    
*/
enum RankingMode
{
    RANKING_MODE_RANGE        = 0, //
    RANKING_MODE_NEAR         = 1, //
    RANKING_MODE_FRIEND_RANGE = 2, //
    RANKING_MODE_FRIEND_NEAR  = 3, //
    RANKING_MODE_USER         = 4  //
};

/* Please see man pages for details 
    
*/
enum SortScoreIndex
{
    SORT_SCORE_INDEX_0 = 0, //
    SORT_SCORE_INDEX_1 = 1, //
    SORT_SCORE_INDEX_2 = 2, //
    SORT_SCORE_INDEX_3 = 3  //
};

/* Please see man pages for details 
    
*/
enum FilterGroupIndex
{
    FILTER_GROUP_INDEX_0 = 0,     //
    FILTER_GROUP_INDEX_1 = 1,     //
    FILTER_GROUP_INDEX_2 = 2,     //
    FILTER_GROUP_INDEX_3 = 3,     //
    FILTER_GROUP_INDEX_NONE = 255 //
};

/* Please see man pages for details 
    
*/
enum OrderBy
{
    ORDER_BY_ASC  = 0, //
    ORDER_BY_DESC = 1  //
};

/* Please see man pages for details 
    
*/
enum UpdateMode
{
    UPDATE_MODE_NORMAL  = 0,    //
    UPDATE_MODE_DELETE_OLD = 1  //
};

/* Please see man pages for details 
    
*/
enum OrderCalculation
{
    ORDER_CALCULATION_113 = 0, //
    ORDER_CALCULATION_123 = 1  //
};

/* Please see man pages for details 
    
*/
enum TimeScope
{
    TIME_SCOPE_CUSTOM_0 = 0,  //
    TIME_SCOPE_CUSTOM_1 = 1,  //
    TIME_SCOPE_ALL = 2        //
};

/* Please see man pages for details 
    
*/
enum ModificationFlag
{
    MODIFICATION_FLAG_NONE   = 0,      //
    MODIFICATION_FLAG_GROUP0 = 1 << 0, //
    MODIFICATION_FLAG_GROUP1 = 1 << 1, //
    MODIFICATION_FLAG_GROUP2 = 1 << 2, //
    MODIFICATION_FLAG_GROUP3 = 1 << 3, //
    MODIFICATION_FLAG_PARAM  = 1 << 4  //
};

/* Please see man pages for details 
    
*/
enum StatsFlag
{
    STATS_FLAG_TOTAL   = 1 << 0, //
    STATS_FLAG_SUM     = 1 << 1, //
    STATS_FLAG_MIN     = 1 << 2, //
    STATS_FLAG_MAX     = 1 << 3, //
    STATS_FLAG_AVERAGE = 1 << 4  //
};
}

END_NAMESPACE_NEX

#endif
