#ifndef _Quazal_SubscriberGetFollowerParamDDL_H_
#define _Quazal_SubscriberGetFollowerParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SubscriberGetFollowerParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SubscriberGetFollowerParam): public RootObject {
public:
    DDLCLASS(SubscriberGetFollowerParam)():_mRevision_SubscriberGetFollowerParam(0)
     {};
    DDLCLASS(SubscriberGetFollowerParam)(const DDLCLASS(SubscriberGetFollowerParam) &oOther):
        RootObject(oOther),
        _mRevision_SubscriberGetFollowerParam(oOther._mRevision_SubscriberGetFollowerParam),
        topic(oOther.topic),
        size(oOther.size),
        offset(oOther.offset)
    {
    }
    virtual ~DDLCLASS(SubscriberGetFollowerParam)() {};
    const DDLCLASS(SubscriberGetFollowerParam) &operator=(const DDLCLASS(SubscriberGetFollowerParam) &oOther);
    qBool operator==(const DDLCLASS(SubscriberGetFollowerParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SubscriberGetFollowerParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SubscriberGetFollowerParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SubscriberGetFollowerParam) *pValue);
    qByte _mRevision_SubscriberGetFollowerParam;
    qByte GetClassRevision_SubscriberGetFollowerParam() const {return _mRevision_SubscriberGetFollowerParam;}
    void SetClassRevision_SubscriberGetFollowerParam(qByte revision) {_mRevision_SubscriberGetFollowerParam=revision;}
    static qByte GetKnownMaxClassRevision_SubscriberGetFollowerParam() {return 0;}
    DDLTYPE(string)::CPPType topic;
    NEX_CLASS_VALID_REVISION_DEF(topic, 0);
    qBool NEX_CLASS_ISVALID(topic) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SubscriberGetFollowerParam): public DDLType {
public:
    typedef SubscriberGetFollowerParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SubscriberGetFollowerParam)& oSubscriberGetFollowerParam) {
        DDLCLASS(SubscriberGetFollowerParam)::Add(pMessageToSend,oSubscriberGetFollowerParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SubscriberGetFollowerParam)* pSubscriberGetFollowerParamToRefresh) {
        DDLCLASS(SubscriberGetFollowerParam)::Extract(pReceivedMessage,pSubscriberGetFollowerParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SubscriberGetFollowerParamDDL.h_H_
