/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/



#ifndef SCENESESSIONMASTER_H_
#define SCENESESSIONMASTER_H_

#include "SceneBase.h"
#include "SceneSessionGame.h"

class SceneSessionMaster : public SceneSessionGame
{
public:
    static SceneBase* GetInstance(void);

    virtual ~SceneSessionMaster(void);

    virtual SceneBase* Update(void);
    virtual void Render(void) const;

private:
    SceneSessionMaster(void);   // Force use of GetInstance function.
    SceneSessionMaster           (const SceneSessionMaster&);
    SceneSessionMaster& operator=(const SceneSessionMaster&);
};


#endif  // end of SCENESESSIONMASTER_H_
