/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef COMMONDATA_H_
#define COMMONDATA_H_

#include <NetZ/src/Core/DOCore/Session.h>

/* Please see man pages for details 
    
*/
class CommonData
{
public:
    static CommonData* GetInstance(void);

    ~CommonData(void);

    void                        SetSessionToJoin(const nn::nex::SessionDescription &desc);
    nn::nex::SessionDescription GetSessionToJoin(void) const;


private:
    CommonData(void);
    CommonData(const CommonData&);

    /* Please see man pages for details 
        
    */
    CommonData& operator=(const CommonData&);

    nn::nex::SessionDescription m_sessionDesc;
};


#endif  // end of COMMONDATA_H_
