/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef DEMO_LIGHT_H_
#define DEMO_LIGHT_H_

#include "demo/Utility/demo_Utility.h"

namespace demo
{
/* Please see man pages for details 



*/

class Light : private nn::util::NonCopyable<Light>
{
public:
    Light(void);
    virtual ~Light();

public:
    void Initialize(void);

public:
    f32 m_Ambient[4];
    f32 m_Diffuse[4];
    f32 m_Specular0[4];
    f32 m_Specular1[4];
    f32 m_Position[4];
};

}

#endif
