/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef DEMO_DEMO_COLOR_H_
#define DEMO_DEMO_COLOR_H_

/* Please see man pages for details 
 
 */
struct DemoColor
{
    /* Please see man pages for details 
    

    
    
    
    
     */
    DemoColor(f32 red, f32 green, f32 blue, f32 alpha)
        :r(red),
         g(green),
         b(blue),
         a(alpha)
    {
    }

    f32 r;  // Red
    f32 g;  // Green
    f32 b;  // Blue
    f32 a;  // Alpha
};

const DemoColor DEMO_COLOR_BLACK   (0.0f , 0.0f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_GRAY    (0.5f , 0.5f , 0.5f , 1.0f);
const DemoColor DEMO_COLOR_SILVER  (0.75f, 0.75f, 0.75f, 1.0f);
const DemoColor DEMO_COLOR_WHITE   (1.0f , 1.0f , 1.0f , 1.0f);
const DemoColor DEMO_COLOR_MAROON  (0.5f , 0.0f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_RED     (1.0f , 0.0f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_OLIVE   (0.5f , 0.5f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_YELLOW  (1.0f , 1.0f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_GREEN   (0.0f , 0.5f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_LIME    (0.0f , 1.0f , 0.0f , 1.0f);
const DemoColor DEMO_COLOR_TEAL    (0.0f , 0.5f , 0.5f , 1.0f);
const DemoColor DEMO_COLOR_AQUA    (0.0f , 1.0f , 1.0f , 1.0f);
const DemoColor DEMO_COLOR_NAVY    (0.0f , 0.0f , 0.5f , 1.0f);
const DemoColor DEMO_COLOR_BLUE    (0.0f , 0.0f , 1.0f , 1.0f);
const DemoColor DEMO_COLOR_PURPLE  (0.5f , 0.0f , 0.5f , 1.0f);
const DemoColor DEMO_COLOR_FUCHSIA (1.0f , 0.0f , 1.0f , 1.0f);

const DemoColor DEMO_COLOR_DARKBLUE(0.0f , 0.0f , 0.5f , 1.0f);

#endif  // end of DEMO_DEMO_COLOR_H_
