﻿/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef HEAPMANAGER_H_
#define HEAPMANAGER_H_

#include <OnlineCore/src/Platform/Core/Recognition.h>
#if defined(CTR_TARGET)
#include "CTR/HeapManager.h"
using CTR::HeapManager;
#elif defined(CAFE_TARGET)
#include "Cafe/HeapManager.h"
using Cafe::HeapManager;
#else /* !CTR_TARGET && !CAFE_TARGET */
#error "This platform is not supported."
#endif

#endif  // end of HEAPMANAGER_H_
