/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef DEMO_FONT_PROGRAM_OBJECT_H_
#define DEMO_FONT_PROGRAM_OBJECT_H_

#include "demo/ShaderProgram/demo_ProgramObject.h"

namespace demo
{

/* Please see man pages for details 
    

    
*/

class FontProgram : public ProgramObject
{
public:
    /* Please see man pages for details 
    

    
    */
    FontProgram(void);

    /* Please see man pages for details 
    

    
    */
    virtual ~FontProgram(void);

public:
    /* Please see man pages for details 
    

    
    */
    virtual bool Initialize(const GLuint shaderId);

    /* Please see man pages for details 
    

    
    */
    virtual bool Finalize(void);

public:
    /* Please see man pages for details 
    

    
    */
    virtual bool Begin(void);

    /* Please see man pages for details 
    

    
    */
    virtual bool Use(void);

    /* Please see man pages for details 
    

    
    */
    virtual bool End(void);

protected:
    virtual void InitializeVertexAttributes(void);
    void InitializeFontTexture(void);

protected:
    GLuint m_FontTextureId;
};

}

#endif
