#ifndef _Quazal_SessionInfoDDL_H_
#define _Quazal_SessionInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(SessionInfo): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define cstr m_szSessionName[128]
	DDLTYPE(cstr)::CPPType m_szSessionName[128];

	//define dohandle m_dohRootMulticastGroup
	DDLTYPE(dohandle)::CPPType m_dohRootMulticastGroup;

	//define uint32 m_uiSessionID
	DDLTYPE(uint32)::CPPType m_uiSessionID;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		m_szSessionName[0]=0;
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(SessionInfo)
	DATASET(SessionInfo)( const DATASET(SessionInfo) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_dohRootMulticastGroup(oOther.m_dohRootMulticastGroup), 
		m_uiSessionID(oOther.m_uiSessionID)
	{
		_DS_COPYDATASET_ARRAY(m_szSessionName,128);
	}

	_DS_ASSIGN_OPERATOR(SessionInfo){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_ARRAY(m_szSessionName,128);
		_DS_COPYDATASET_VAR(m_dohRootMulticastGroup);
		_DS_COPYDATASET_VAR(m_uiSessionID);
	}

	_DS_EQUAL_OPERATOR(SessionInfo){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_ARRAY(m_szSessionName,128);
		_DS_EQUAL_VAR(m_dohRootMulticastGroup);
		_DS_EQUAL_VAR(m_uiSessionID);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(SessionInfo)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		pMsg->ExtractString(m_szSessionName,128);
		_MSG_EXTRACT_VARIABLE(Tm_dohRootMulticastGroup,m_dohRootMulticastGroup);
		_MSG_EXTRACT_VARIABLE(Tm_uiSessionID,m_uiSessionID);
	}



	DATASET_VALID_REVISION_DEF(m_szSessionName, 0);
	qBool DATASET_ISVALID(m_szSessionName){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_dohRootMulticastGroup, 0);
	qBool DATASET_ISVALID(m_dohRootMulticastGroup){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiSessionID, 0);
	qBool DATASET_ISVALID(m_uiSessionID){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(cstr) Tm_szSessionName;
	typedef DDLTYPE(dohandle) Tm_dohRootMulticastGroup;
	typedef DDLTYPE(uint32) Tm_uiSessionID;
};

#define _DSDECL_SessionInfo SessionInfo

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SessionInfoDDL.h_H_
