/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _StationOperation_H_
#define _StationOperation_H_

#include <NetZ/src/Core/DOCore/ObjDupDecl.h>
#include <OnlineCore/src/Core/Operation.h>
#include <NetZ/src/Core/DOCore/Station.h>

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
 
 
 
 
 
 
 
 
 */
class StationOperation: public Operation
{
    //Group=Methods
public:
    StationOperation(const qChar* pStationNameReference);
    virtual ~StationOperation();

    // {secret}
    void Begin(Station* pStation);
    // {secret}
    void End(Station* pStation);

    /* Please see man pages for details 
     
     
     */
    const Station* GetTargetStation() const
    {
        return *m_refTargetStation;
    }

private:
    Station::Ref m_refTargetStation;
};

END_NAMESPACE_NEX

#endif
