/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef HTTP_EVENT_LISTENER_H_
#define HTTP_EVENT_LISTENER_H_

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

class HttpConnection;

/* Please see man pages for details 
    

        
*/
class HttpEventListener
{
public:
    /* Please see man pages for details 
        
    */
    HttpEventListener() {}

    /* Please see man pages for details 
        
    */
    virtual ~HttpEventListener() {}

    /* Please see man pages for details 
        

            

        
    */
    virtual void PrepareRequest(HttpConnection* connection)
    {
        (void)connection;
    }

    /* Please see man pages for details 
        

            
            

        
        
        
        

        
    */
    virtual qUnsignedInt32 PostChunkedBuffer(HttpConnection* connection, qUnsignedInt8* buffer, qUnsignedInt32 bufferSize, qBool* completed)
    {
        (void)connection;
        (void)buffer;
        (void)bufferSize;

        QLOG(EventLog::Warning, _T("HttpEventListener: PostChunkedBuffer is not handled. size: ") << bufferSize);
        SYSTEMCHECK(false);
        *completed = true;
        return 0;
    }

    /* Please see man pages for details 
        

            

        
        
    */
    virtual void ProcessResponseHeader(HttpConnection* connection, qInt statusCode)
    {
        (void)connection;
        (void)statusCode;
    }

    /* Please see man pages for details 
        

            
            

        
        

        
                
                
    */
    virtual qBool ProcessResponse(const qUnsignedInt8* buffer, qUnsignedInt32 bufferSize)
    {
        (void)buffer;
        (void)bufferSize;

        QLOG(EventLog::Warning, _T("HttpEventListener: ProcessResponse is not handled. size: ") << bufferSize);
        SYSTEMCHECK(false);
        return true;
    }
};

/* Please see man pages for details 
    

        
*/
class HttpSessionEventListener
{
public:
    /* Please see man pages for details 
        
    */
    HttpSessionEventListener() {}

    /* Please see man pages for details 
        
    */
    virtual ~HttpSessionEventListener() {}

    /* Please see man pages for details 
        
    */
    virtual void Begin() {};

    /* Please see man pages for details 
        
    */
    virtual void End() {};
};

END_NAMESPACE_NEX

#endif /* HTTP_EVENT_LISTENER_H_ */
