﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2014 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef _NEX_SubStreamID_H_
#define _NEX_SubStreamID_H_

#include <OnlineCore/src/Transport/Interface/TransportDecl.h>
#include <OnlineCore/src/Transport/Interface/EndPointInfo.h>


BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
 
 
 
 
 */
typedef qByte SubStreamID;

/* Please see man pages for details 
 
 
 
 
 
 
 */

class SubStreamIDDefine
{
public:
    static const SubStreamID SYSTEM = 0; //
    static const SubStreamID FIRST_USER = 1; //
    static const SubStreamID LAST_USER= 255; //
};

END_NAMESPACE_NEX


#endif /* _NEX_SubStreamID_H_ */
