/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _TransportBufferThreadInterface_H_
#define _TransportBufferThreadInterface_H_

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>


BEGIN_NAMESPACE_NEX

class QueuingSocket;

/* Please see man pages for details 
 
 
 
 
 */
class TransportBufferThreadInterface: public RootObject
{
public:

    virtual ~TransportBufferThreadInterface() {}
    /* Please see man pages for details 
     
     */
    virtual void Start() = 0;

    /* Please see man pages for details 
     
     */
    virtual void Stop() = 0;

    /* Please see man pages for details 
     
     
     
     
     */
    virtual qBool InsertSocketPort(qUnsignedInt16 port, QueuingSocket *pSocket) = 0;

    /* Please see man pages for details 
     
     
     
     */
    virtual void EraseSocketPort(qUnsignedInt16 port) = 0;

    virtual void SetPriority(qUnsignedInt32 priority) = 0;
    virtual qUnsignedInt32 GetPriority() const = 0;
};

END_NAMESPACE_NEX

#endif
