#ifndef _Quazal_BasicAccountInfoDDL_H_
#define _Quazal_BasicAccountInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class BasicAccountInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(BasicAccountInfo): public RootObject {
public:
    DDLCLASS(BasicAccountInfo)():_mRevision_BasicAccountInfo(0)
     {};
    DDLCLASS(BasicAccountInfo)(const DDLCLASS(BasicAccountInfo) &oOther):
        RootObject(oOther),
        _mRevision_BasicAccountInfo(oOther._mRevision_BasicAccountInfo),
        m_pidOwner(oOther.m_pidOwner),
        m_strName(oOther.m_strName)
    {
    }
    virtual ~DDLCLASS(BasicAccountInfo)() {};
    const DDLCLASS(BasicAccountInfo) &operator=(const DDLCLASS(BasicAccountInfo) &oOther);
    qBool operator==(const DDLCLASS(BasicAccountInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(BasicAccountInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(BasicAccountInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(BasicAccountInfo) *pValue);
    qByte _mRevision_BasicAccountInfo;
    qByte GetClassRevision_BasicAccountInfo() const {return _mRevision_BasicAccountInfo;}
    void SetClassRevision_BasicAccountInfo(qByte revision) {_mRevision_BasicAccountInfo=revision;}
    static qByte GetKnownMaxClassRevision_BasicAccountInfo() {return 0;}
    DDLTYPE(uint32)::CPPType m_pidOwner;
    NEX_CLASS_VALID_REVISION_DEF(m_pidOwner, 0);
    qBool NEX_CLASS_ISVALID(m_pidOwner) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strName;
    NEX_CLASS_VALID_REVISION_DEF(m_strName, 0);
    qBool NEX_CLASS_ISVALID(m_strName) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(BasicAccountInfo): public DDLType {
public:
    typedef BasicAccountInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(BasicAccountInfo)& oBasicAccountInfo) {
        DDLCLASS(BasicAccountInfo)::Add(pMessageToSend,oBasicAccountInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(BasicAccountInfo)* pBasicAccountInfoToRefresh) {
        DDLCLASS(BasicAccountInfo)::Extract(pReceivedMessage,pBasicAccountInfoToRefresh);
    }
};

class BasicAccountInfo: public DDLCLASS(BasicAccountInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_BasicAccountInfoDDL.h_H_
