#ifndef _Quazal_NotificationEventDDL_H_
#define _Quazal_NotificationEventDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class NotificationEvent;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(NotificationEvent): public RootObject {
public:
    DDLCLASS(NotificationEvent)():_mRevision_NotificationEvent(0)
     {};
    DDLCLASS(NotificationEvent)(const DDLCLASS(NotificationEvent) &oOther):
        RootObject(oOther),
        _mRevision_NotificationEvent(oOther._mRevision_NotificationEvent),
        m_pidSource(oOther.m_pidSource),
        m_uiType(oOther.m_uiType),
        m_uiParam1(oOther.m_uiParam1),
        m_uiParam2(oOther.m_uiParam2),
        m_strParam(oOther.m_strParam),
        m_uiParam3(oOther.m_uiParam3)
    {
    }
    virtual ~DDLCLASS(NotificationEvent)() {};
    const DDLCLASS(NotificationEvent) &operator=(const DDLCLASS(NotificationEvent) &oOther);
    qBool operator==(const DDLCLASS(NotificationEvent) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(NotificationEvent) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(NotificationEvent) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(NotificationEvent) *pValue);
    qByte _mRevision_NotificationEvent;
    qByte GetClassRevision_NotificationEvent() const {return _mRevision_NotificationEvent;}
    void SetClassRevision_NotificationEvent(qByte revision) {_mRevision_NotificationEvent=revision;}
    static qByte GetKnownMaxClassRevision_NotificationEvent() {return 0;}
    DDLTYPE(uint32)::CPPType m_pidSource;
    NEX_CLASS_VALID_REVISION_DEF(m_pidSource, 0);
    qBool NEX_CLASS_ISVALID(m_pidSource) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiType;
    NEX_CLASS_VALID_REVISION_DEF(m_uiType, 0);
    qBool NEX_CLASS_ISVALID(m_uiType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiParam1;
    NEX_CLASS_VALID_REVISION_DEF(m_uiParam1, 0);
    qBool NEX_CLASS_ISVALID(m_uiParam1) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiParam2;
    NEX_CLASS_VALID_REVISION_DEF(m_uiParam2, 0);
    qBool NEX_CLASS_ISVALID(m_uiParam2) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strParam;
    NEX_CLASS_VALID_REVISION_DEF(m_strParam, 0);
    qBool NEX_CLASS_ISVALID(m_strParam) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiParam3;
    NEX_CLASS_VALID_REVISION_DEF(m_uiParam3, 0);
    qBool NEX_CLASS_ISVALID(m_uiParam3) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(NotificationEvent): public DDLType {
public:
    typedef NotificationEvent CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(NotificationEvent)& oNotificationEvent) {
        DDLCLASS(NotificationEvent)::Add(pMessageToSend,oNotificationEvent);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(NotificationEvent)* pNotificationEventToRefresh) {
        DDLCLASS(NotificationEvent)::Extract(pReceivedMessage,pNotificationEventToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_NotificationEventDDL.h_H_
