#ifndef _Quazal_DataStoreCompletePostParamV1DDL_H_
#define _Quazal_DataStoreCompletePostParamV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreCompletePostParamV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreCompletePostParamV1): public RootObject {
public:
    DDLCLASS(DataStoreCompletePostParamV1)():_mRevision_DataStoreCompletePostParamV1(0)
     {};
    DDLCLASS(DataStoreCompletePostParamV1)(const DDLCLASS(DataStoreCompletePostParamV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreCompletePostParamV1(oOther._mRevision_DataStoreCompletePostParamV1),
        dataId(oOther.dataId),
        isSuccess(oOther.isSuccess)
    {
    }
    virtual ~DDLCLASS(DataStoreCompletePostParamV1)() {};
    const DDLCLASS(DataStoreCompletePostParamV1) &operator=(const DDLCLASS(DataStoreCompletePostParamV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreCompletePostParamV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreCompletePostParamV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreCompletePostParamV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreCompletePostParamV1) *pValue);
    qByte _mRevision_DataStoreCompletePostParamV1;
    qByte GetClassRevision_DataStoreCompletePostParamV1() const {return _mRevision_DataStoreCompletePostParamV1;}
    void SetClassRevision_DataStoreCompletePostParamV1(qByte revision) {_mRevision_DataStoreCompletePostParamV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreCompletePostParamV1() {return 0;}
    DDLTYPE(uint32)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isSuccess;
    NEX_CLASS_VALID_REVISION_DEF(isSuccess, 0);
    qBool NEX_CLASS_ISVALID(isSuccess) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreCompletePostParamV1): public DDLType {
public:
    typedef DataStoreCompletePostParamV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreCompletePostParamV1)& oDataStoreCompletePostParamV1) {
        DDLCLASS(DataStoreCompletePostParamV1)::Add(pMessageToSend,oDataStoreCompletePostParamV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreCompletePostParamV1)* pDataStoreCompletePostParamV1ToRefresh) {
        DDLCLASS(DataStoreCompletePostParamV1)::Extract(pReceivedMessage,pDataStoreCompletePostParamV1ToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreCompletePostParamV1DDL.h_H_
