#ifndef _Quazal_DataStoreNotificationV1DDL_H_
#define _Quazal_DataStoreNotificationV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreNotificationV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreNotificationV1): public RootObject {
public:
    DDLCLASS(DataStoreNotificationV1)():_mRevision_DataStoreNotificationV1(0)
     {};
    DDLCLASS(DataStoreNotificationV1)(const DDLCLASS(DataStoreNotificationV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreNotificationV1(oOther._mRevision_DataStoreNotificationV1),
        notificationId(oOther.notificationId),
        dataId(oOther.dataId)
    {
    }
    virtual ~DDLCLASS(DataStoreNotificationV1)() {};
    const DDLCLASS(DataStoreNotificationV1) &operator=(const DDLCLASS(DataStoreNotificationV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreNotificationV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreNotificationV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreNotificationV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreNotificationV1) *pValue);
    qByte _mRevision_DataStoreNotificationV1;
    qByte GetClassRevision_DataStoreNotificationV1() const {return _mRevision_DataStoreNotificationV1;}
    void SetClassRevision_DataStoreNotificationV1(qByte revision) {_mRevision_DataStoreNotificationV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreNotificationV1() {return 0;}
    DDLTYPE(uint64)::CPPType notificationId;
    NEX_CLASS_VALID_REVISION_DEF(notificationId, 0);
    qBool NEX_CLASS_ISVALID(notificationId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreNotificationV1): public DDLType {
public:
    typedef DataStoreNotificationV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreNotificationV1)& oDataStoreNotificationV1) {
        DDLCLASS(DataStoreNotificationV1)::Add(pMessageToSend,oDataStoreNotificationV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreNotificationV1)* pDataStoreNotificationV1ToRefresh) {
        DDLCLASS(DataStoreNotificationV1)::Extract(pReceivedMessage,pDataStoreNotificationV1ToRefresh);
    }
};

class DataStoreNotificationV1: public DDLCLASS(DataStoreNotificationV1) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreNotificationV1DDL.h_H_
