#ifndef _Quazal_DataStorePersistenceInfoDDL_H_
#define _Quazal_DataStorePersistenceInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePersistenceInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePersistenceInfo): public RootObject {
public:
    DDLCLASS(DataStorePersistenceInfo)():_mRevision_DataStorePersistenceInfo(0)
     {};
    DDLCLASS(DataStorePersistenceInfo)(const DDLCLASS(DataStorePersistenceInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePersistenceInfo(oOther._mRevision_DataStorePersistenceInfo),
        ownerId(oOther.ownerId),
        persistenceSlotId(oOther.persistenceSlotId),
        dataId(oOther.dataId)
    {
    }
    virtual ~DDLCLASS(DataStorePersistenceInfo)() {};
    const DDLCLASS(DataStorePersistenceInfo) &operator=(const DDLCLASS(DataStorePersistenceInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStorePersistenceInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePersistenceInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePersistenceInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePersistenceInfo) *pValue);
    qByte _mRevision_DataStorePersistenceInfo;
    qByte GetClassRevision_DataStorePersistenceInfo() const {return _mRevision_DataStorePersistenceInfo;}
    void SetClassRevision_DataStorePersistenceInfo(qByte revision) {_mRevision_DataStorePersistenceInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePersistenceInfo() {return 0;}
    DDLTYPE(uint32)::CPPType ownerId;
    NEX_CLASS_VALID_REVISION_DEF(ownerId, 0);
    qBool NEX_CLASS_ISVALID(ownerId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType persistenceSlotId;
    NEX_CLASS_VALID_REVISION_DEF(persistenceSlotId, 0);
    qBool NEX_CLASS_ISVALID(persistenceSlotId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePersistenceInfo): public DDLType {
public:
    typedef DataStorePersistenceInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePersistenceInfo)& oDataStorePersistenceInfo) {
        DDLCLASS(DataStorePersistenceInfo)::Add(pMessageToSend,oDataStorePersistenceInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePersistenceInfo)* pDataStorePersistenceInfoToRefresh) {
        DDLCLASS(DataStorePersistenceInfo)::Extract(pReceivedMessage,pDataStorePersistenceInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePersistenceInfoDDL.h_H_
