﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DATA_STORE_PREPARE_GET_PARAM_V1_H
#define _DATA_STORE_PREPARE_GET_PARAM_V1_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "DataStorePrepareGetParamV1DDL.h"
#include "DataStoreConstants.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
    
*/
class DataStorePrepareGetParamV1: public DDLCLASS(DataStorePrepareGetParamV1)
{
public:
    /* Please see man pages for details 
        
    */
    DataStorePrepareGetParamV1()
    {
        SetDataId(DataStoreConstants::INVALID_DATAID_V1);
        //        SetLockId(0);
    }

    /* Please see man pages for details 
        
    */
    virtual ~DataStorePrepareGetParamV1() {}

    /* Please see man pages for details 
        

            

        
    */
    void SetDataId(qUnsignedInt32 dataId)
    {
        this->dataId = dataId;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetDataId() const
    {
        return this->dataId;
    }

    /* Please see man pages for details 
        
        

            
            
            
            
            

        
    */
    //    void SetLockId(qUnsignedInt32 lockId) { this->lockId = lockId; }

    /* Please see man pages for details 
        
        

        
    */
    //    qUnsignedInt32 GetLockId() const { return this->lockId; }
};

END_NAMESPACE_NEX

#endif
