#ifndef _Quazal_DataStorePreparePostParamDDL_H_
#define _Quazal_DataStorePreparePostParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePermission.h"
#include "DataStoreRatingInitParamWithSlotDDL.h"
#include "DataStorePersistenceInitParam.h"

BEGIN_NAMESPACE_NEX
class DataStorePreparePostParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePreparePostParam): public RootObject {
public:
    DDLCLASS(DataStorePreparePostParam)():_mRevision_DataStorePreparePostParam(0)
    , tags(0)    , ratingInitParams(0)    , extraData(0)     {};
    DDLCLASS(DataStorePreparePostParam)(const DDLCLASS(DataStorePreparePostParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePreparePostParam(oOther._mRevision_DataStorePreparePostParam),
        size(oOther.size),
        name(oOther.name),
        dataType(oOther.dataType),
        metaBinary(oOther.metaBinary),
        permission(oOther.permission),
        delPermission(oOther.delPermission),
        flag(oOther.flag),
        period(oOther.period),
        referDataId(oOther.referDataId),
        tags(oOther.tags),
        ratingInitParams(oOther.ratingInitParams),
        persistenceInitParam(oOther.persistenceInitParam),
        extraData(oOther.extraData)
    {
    }
    virtual ~DDLCLASS(DataStorePreparePostParam)() {};
    const DDLCLASS(DataStorePreparePostParam) &operator=(const DDLCLASS(DataStorePreparePostParam) &oOther);
    qBool operator==(const DDLCLASS(DataStorePreparePostParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePreparePostParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePreparePostParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePreparePostParam) *pValue);
    qByte _mRevision_DataStorePreparePostParam;
    qByte GetClassRevision_DataStorePreparePostParam() const {return _mRevision_DataStorePreparePostParam;}
    void SetClassRevision_DataStorePreparePostParam(qByte revision) {_mRevision_DataStorePreparePostParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePreparePostParam() {return 0;}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType metaBinary;
    NEX_CLASS_VALID_REVISION_DEF(metaBinary, 0);
    qBool NEX_CLASS_ISVALID(metaBinary) const { return true; /* The revision is 0. Always true */}
    DataStorePermission permission;
    NEX_CLASS_VALID_REVISION_DEF(permission, 0);
    qBool NEX_CLASS_ISVALID(permission) const { return true; /* The revision is 0. Always true */}
    DataStorePermission delPermission;
    NEX_CLASS_VALID_REVISION_DEF(delPermission, 0);
    qBool NEX_CLASS_ISVALID(delPermission) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType flag;
    NEX_CLASS_VALID_REVISION_DEF(flag, 0);
    qBool NEX_CLASS_ISVALID(flag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType period;
    NEX_CLASS_VALID_REVISION_DEF(period, 0);
    qBool NEX_CLASS_ISVALID(period) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType referDataId;
    NEX_CLASS_VALID_REVISION_DEF(referDataId, 0);
    qBool NEX_CLASS_ISVALID(referDataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType tags;
    NEX_CLASS_VALID_REVISION_DEF(tags, 0);
    qBool NEX_CLASS_ISVALID(tags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreRatingInitParamWithSlot) >::CPPType ratingInitParams;
    NEX_CLASS_VALID_REVISION_DEF(ratingInitParams, 0);
    qBool NEX_CLASS_ISVALID(ratingInitParams) const { return true; /* The revision is 0. Always true */}
    DataStorePersistenceInitParam persistenceInitParam;
    NEX_CLASS_VALID_REVISION_DEF(persistenceInitParam, 0);
    qBool NEX_CLASS_ISVALID(persistenceInitParam) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType extraData;
    NEX_CLASS_VALID_REVISION_DEF(extraData, 0);
    qBool NEX_CLASS_ISVALID(extraData) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePreparePostParam): public DDLType {
public:
    typedef DataStorePreparePostParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePreparePostParam)& oDataStorePreparePostParam) {
        DDLCLASS(DataStorePreparePostParam)::Add(pMessageToSend,oDataStorePreparePostParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePreparePostParam)* pDataStorePreparePostParamToRefresh) {
        DDLCLASS(DataStorePreparePostParam)::Extract(pReceivedMessage,pDataStorePreparePostParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePreparePostParamDDL.h_H_
