#ifndef _Quazal_DataStoreReqGetInfoV1DDL_H_
#define _Quazal_DataStoreReqGetInfoV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreKeyValue.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqGetInfoV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqGetInfoV1): public RootObject {
public:
    DDLCLASS(DataStoreReqGetInfoV1)():_mRevision_DataStoreReqGetInfoV1(0)
    , requestHeaders(0)    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqGetInfoV1)(const DDLCLASS(DataStoreReqGetInfoV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqGetInfoV1(oOther._mRevision_DataStoreReqGetInfoV1),
        url(oOther.url),
        requestHeaders(oOther.requestHeaders),
        size(oOther.size),
        rootCaCert(oOther.rootCaCert)
    {
    }
    virtual ~DDLCLASS(DataStoreReqGetInfoV1)() {};
    const DDLCLASS(DataStoreReqGetInfoV1) &operator=(const DDLCLASS(DataStoreReqGetInfoV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqGetInfoV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqGetInfoV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqGetInfoV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqGetInfoV1) *pValue);
    qByte _mRevision_DataStoreReqGetInfoV1;
    qByte GetClassRevision_DataStoreReqGetInfoV1() const {return _mRevision_DataStoreReqGetInfoV1;}
    void SetClassRevision_DataStoreReqGetInfoV1(qByte revision) {_mRevision_DataStoreReqGetInfoV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqGetInfoV1() {return 0;}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType requestHeaders;
    NEX_CLASS_VALID_REVISION_DEF(requestHeaders, 0);
    qBool NEX_CLASS_ISVALID(requestHeaders) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreReqGetInfoV1): public DDLType {
public:
    typedef DataStoreReqGetInfoV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqGetInfoV1)& oDataStoreReqGetInfoV1) {
        DDLCLASS(DataStoreReqGetInfoV1)::Add(pMessageToSend,oDataStoreReqGetInfoV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqGetInfoV1)* pDataStoreReqGetInfoV1ToRefresh) {
        DDLCLASS(DataStoreReqGetInfoV1)::Extract(pReceivedMessage,pDataStoreReqGetInfoV1ToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreReqGetInfoV1DDL.h_H_
