#ifndef _Quazal_DataStoreReqPostInfoDDL_H_
#define _Quazal_DataStoreReqPostInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreKeyValue.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqPostInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqPostInfo): public RootObject {
public:
    DDLCLASS(DataStoreReqPostInfo)():_mRevision_DataStoreReqPostInfo(0)
    , requestHeaders(0)    , formFields(0)    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqPostInfo)(const DDLCLASS(DataStoreReqPostInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqPostInfo(oOther._mRevision_DataStoreReqPostInfo),
        dataId(oOther.dataId),
        url(oOther.url),
        requestHeaders(oOther.requestHeaders),
        formFields(oOther.formFields),
        rootCaCert(oOther.rootCaCert)
    {
    }
    virtual ~DDLCLASS(DataStoreReqPostInfo)() {};
    const DDLCLASS(DataStoreReqPostInfo) &operator=(const DDLCLASS(DataStoreReqPostInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqPostInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqPostInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqPostInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqPostInfo) *pValue);
    qByte _mRevision_DataStoreReqPostInfo;
    qByte GetClassRevision_DataStoreReqPostInfo() const {return _mRevision_DataStoreReqPostInfo;}
    void SetClassRevision_DataStoreReqPostInfo(qByte revision) {_mRevision_DataStoreReqPostInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqPostInfo() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType requestHeaders;
    NEX_CLASS_VALID_REVISION_DEF(requestHeaders, 0);
    qBool NEX_CLASS_ISVALID(requestHeaders) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType formFields;
    NEX_CLASS_VALID_REVISION_DEF(formFields, 0);
    qBool NEX_CLASS_ISVALID(formFields) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreReqPostInfo): public DDLType {
public:
    typedef DataStoreReqPostInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqPostInfo)& oDataStoreReqPostInfo) {
        DDLCLASS(DataStoreReqPostInfo)::Add(pMessageToSend,oDataStoreReqPostInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqPostInfo)* pDataStoreReqPostInfoToRefresh) {
        DDLCLASS(DataStoreReqPostInfo)::Extract(pReceivedMessage,pDataStoreReqPostInfoToRefresh);
    }
};

class DataStoreReqPostInfo: public DDLCLASS(DataStoreReqPostInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreReqPostInfoDDL.h_H_
