#ifndef _Quazal_DataStoreReqUpdateInfoDDL_H_
#define _Quazal_DataStoreReqUpdateInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreKeyValue.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqUpdateInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqUpdateInfo): public RootObject {
public:
    DDLCLASS(DataStoreReqUpdateInfo)():_mRevision_DataStoreReqUpdateInfo(0)
    , requestHeaders(0)    , formFields(0)    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqUpdateInfo)(const DDLCLASS(DataStoreReqUpdateInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqUpdateInfo(oOther._mRevision_DataStoreReqUpdateInfo),
        version(oOther.version),
        url(oOther.url),
        requestHeaders(oOther.requestHeaders),
        formFields(oOther.formFields),
        rootCaCert(oOther.rootCaCert)
    {
    }
    virtual ~DDLCLASS(DataStoreReqUpdateInfo)() {};
    const DDLCLASS(DataStoreReqUpdateInfo) &operator=(const DDLCLASS(DataStoreReqUpdateInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqUpdateInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqUpdateInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqUpdateInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqUpdateInfo) *pValue);
    qByte _mRevision_DataStoreReqUpdateInfo;
    qByte GetClassRevision_DataStoreReqUpdateInfo() const {return _mRevision_DataStoreReqUpdateInfo;}
    void SetClassRevision_DataStoreReqUpdateInfo(qByte revision) {_mRevision_DataStoreReqUpdateInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqUpdateInfo() {return 0;}
    DDLTYPE(uint32)::CPPType version;
    NEX_CLASS_VALID_REVISION_DEF(version, 0);
    qBool NEX_CLASS_ISVALID(version) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType requestHeaders;
    NEX_CLASS_VALID_REVISION_DEF(requestHeaders, 0);
    qBool NEX_CLASS_ISVALID(requestHeaders) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType formFields;
    NEX_CLASS_VALID_REVISION_DEF(formFields, 0);
    qBool NEX_CLASS_ISVALID(formFields) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreReqUpdateInfo): public DDLType {
public:
    typedef DataStoreReqUpdateInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqUpdateInfo)& oDataStoreReqUpdateInfo) {
        DDLCLASS(DataStoreReqUpdateInfo)::Add(pMessageToSend,oDataStoreReqUpdateInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqUpdateInfo)* pDataStoreReqUpdateInfoToRefresh) {
        DDLCLASS(DataStoreReqUpdateInfo)::Extract(pReceivedMessage,pDataStoreReqUpdateInfoToRefresh);
    }
};

class DataStoreReqUpdateInfo: public DDLCLASS(DataStoreReqUpdateInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreReqUpdateInfoDDL.h_H_
