#ifndef _Quazal_DataStoreSpecificMetaInfoV1DDL_H_
#define _Quazal_DataStoreSpecificMetaInfoV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreSpecificMetaInfoV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreSpecificMetaInfoV1): public RootObject {
public:
    DDLCLASS(DataStoreSpecificMetaInfoV1)():_mRevision_DataStoreSpecificMetaInfoV1(0)
     {};
    DDLCLASS(DataStoreSpecificMetaInfoV1)(const DDLCLASS(DataStoreSpecificMetaInfoV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreSpecificMetaInfoV1(oOther._mRevision_DataStoreSpecificMetaInfoV1),
        dataId(oOther.dataId),
        ownerId(oOther.ownerId),
        size(oOther.size),
        dataType(oOther.dataType),
        version(oOther.version)
    {
    }
    virtual ~DDLCLASS(DataStoreSpecificMetaInfoV1)() {};
    const DDLCLASS(DataStoreSpecificMetaInfoV1) &operator=(const DDLCLASS(DataStoreSpecificMetaInfoV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreSpecificMetaInfoV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreSpecificMetaInfoV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreSpecificMetaInfoV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreSpecificMetaInfoV1) *pValue);
    qByte _mRevision_DataStoreSpecificMetaInfoV1;
    qByte GetClassRevision_DataStoreSpecificMetaInfoV1() const {return _mRevision_DataStoreSpecificMetaInfoV1;}
    void SetClassRevision_DataStoreSpecificMetaInfoV1(qByte revision) {_mRevision_DataStoreSpecificMetaInfoV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreSpecificMetaInfoV1() {return 0;}
    DDLTYPE(uint32)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType ownerId;
    NEX_CLASS_VALID_REVISION_DEF(ownerId, 0);
    qBool NEX_CLASS_ISVALID(ownerId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType version;
    NEX_CLASS_VALID_REVISION_DEF(version, 0);
    qBool NEX_CLASS_ISVALID(version) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreSpecificMetaInfoV1): public DDLType {
public:
    typedef DataStoreSpecificMetaInfoV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreSpecificMetaInfoV1)& oDataStoreSpecificMetaInfoV1) {
        DDLCLASS(DataStoreSpecificMetaInfoV1)::Add(pMessageToSend,oDataStoreSpecificMetaInfoV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreSpecificMetaInfoV1)* pDataStoreSpecificMetaInfoV1ToRefresh) {
        DDLCLASS(DataStoreSpecificMetaInfoV1)::Extract(pReceivedMessage,pDataStoreSpecificMetaInfoV1ToRefresh);
    }
};

class DataStoreSpecificMetaInfoV1: public DDLCLASS(DataStoreSpecificMetaInfoV1) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreSpecificMetaInfoV1DDL.h_H_
