/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _SimplePlayingSession_H_
#define _SimplePlayingSession_H_

#include <RendezVous/Services/Jugem/Matchmake/src/Common/PlayingSession.h>
#include <RendezVous/Services/Jugem/Matchmake/src/Common/SimplePlayingSessionDDL.h>

BEGIN_NAMESPACE_NEX

class MatchmakeSession;

/* Please see man pages for details 
 

 
 */
#ifdef FOR_DOC_PURPOSE
class SimplePlayingSession: public RootObject
#else
class SimplePlayingSession: public DDLCLASS(SimplePlayingSession)
#endif
{
public:
    /* Please see man pages for details 
    
    */
    SimplePlayingSession()
    {
        m_PrincipalID = INVALID_PRINCIPALID;
        m_GatheringID = INVALID_GATHERINGID;
        m_GameMode = 0;
        m_Attribute_0 = 0;
    }

    /* Please see man pages for details 
    
    */
    virtual ~SimplePlayingSession() {}

    /* Please see man pages for details 
    
    
    */
    PrincipalID GetPrincipalID() const
    {
        return m_PrincipalID;
    }

    /* Please see man pages for details 
    
    
    */
    GatheringID GetGatheringID() const
    {
        return m_GatheringID;
    }

    /* Please see man pages for details 
    
    
    */
    qUnsignedInt32 GetGameMode() const
    {
        return m_GameMode;
    }

    /* Please see man pages for details 
    
    
    */
    qUnsignedInt32 GetAttribute_0() const
    {
        return m_Attribute_0;
    }
};

END_NAMESPACE_NEX

#endif /* _SimplePlayingSession_H_ */
