#ifndef _Quazal_MatchmakeRefereeStatsTargetDDL_H_
#define _Quazal_MatchmakeRefereeStatsTargetDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereeStatsTarget;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereeStatsTarget): public RootObject {
public:
    DDLCLASS(MatchmakeRefereeStatsTarget)():_mRevision_MatchmakeRefereeStatsTarget(0)
     {};
    DDLCLASS(MatchmakeRefereeStatsTarget)(const DDLCLASS(MatchmakeRefereeStatsTarget) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereeStatsTarget(oOther._mRevision_MatchmakeRefereeStatsTarget),
        pid(oOther.pid),
        category(oOther.category)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereeStatsTarget)() {};
    const DDLCLASS(MatchmakeRefereeStatsTarget) &operator=(const DDLCLASS(MatchmakeRefereeStatsTarget) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereeStatsTarget) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereeStatsTarget) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereeStatsTarget) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereeStatsTarget) *pValue);
    qByte _mRevision_MatchmakeRefereeStatsTarget;
    qByte GetClassRevision_MatchmakeRefereeStatsTarget() const {return _mRevision_MatchmakeRefereeStatsTarget;}
    void SetClassRevision_MatchmakeRefereeStatsTarget(qByte revision) {_mRevision_MatchmakeRefereeStatsTarget=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereeStatsTarget() {return 0;}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereeStatsTarget): public DDLType {
public:
    typedef MatchmakeRefereeStatsTarget CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereeStatsTarget)& oMatchmakeRefereeStatsTarget) {
        DDLCLASS(MatchmakeRefereeStatsTarget)::Add(pMessageToSend,oMatchmakeRefereeStatsTarget);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereeStatsTarget)* pMatchmakeRefereeStatsTargetToRefresh) {
        DDLCLASS(MatchmakeRefereeStatsTarget)::Extract(pReceivedMessage,pMatchmakeRefereeStatsTargetToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_MatchmakeRefereeStatsTargetDDL.h_H_
