#ifndef _Quazal_RankingOrderParamDDL_H_
#define _Quazal_RankingOrderParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingOrderParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingOrderParam): public RootObject {
public:
    DDLCLASS(RankingOrderParam)():_mRevision_RankingOrderParam(0)
     {};
    DDLCLASS(RankingOrderParam)(const DDLCLASS(RankingOrderParam) &oOther):
        RootObject(oOther),
        _mRevision_RankingOrderParam(oOther._mRevision_RankingOrderParam),
        orderCalculation(oOther.orderCalculation),
        groupIndex(oOther.groupIndex),
        groupNum(oOther.groupNum),
        timeScope(oOther.timeScope),
        offset(oOther.offset),
        length(oOther.length)
    {
    }
    virtual ~DDLCLASS(RankingOrderParam)() {};
    const DDLCLASS(RankingOrderParam) &operator=(const DDLCLASS(RankingOrderParam) &oOther);
    qBool operator==(const DDLCLASS(RankingOrderParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingOrderParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingOrderParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingOrderParam) *pValue);
    qByte _mRevision_RankingOrderParam;
    qByte GetClassRevision_RankingOrderParam() const {return _mRevision_RankingOrderParam;}
    void SetClassRevision_RankingOrderParam(qByte revision) {_mRevision_RankingOrderParam=revision;}
    static qByte GetKnownMaxClassRevision_RankingOrderParam() {return 0;}
    DDLTYPE(byte)::CPPType orderCalculation;
    NEX_CLASS_VALID_REVISION_DEF(orderCalculation, 0);
    qBool NEX_CLASS_ISVALID(orderCalculation) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType groupIndex;
    NEX_CLASS_VALID_REVISION_DEF(groupIndex, 0);
    qBool NEX_CLASS_ISVALID(groupIndex) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType groupNum;
    NEX_CLASS_VALID_REVISION_DEF(groupNum, 0);
    qBool NEX_CLASS_ISVALID(groupNum) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType timeScope;
    NEX_CLASS_VALID_REVISION_DEF(timeScope, 0);
    qBool NEX_CLASS_ISVALID(timeScope) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType length;
    NEX_CLASS_VALID_REVISION_DEF(length, 0);
    qBool NEX_CLASS_ISVALID(length) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingOrderParam): public DDLType {
public:
    typedef RankingOrderParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingOrderParam)& oRankingOrderParam) {
        DDLCLASS(RankingOrderParam)::Add(pMessageToSend,oRankingOrderParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingOrderParam)* pRankingOrderParamToRefresh) {
        DDLCLASS(RankingOrderParam)::Extract(pReceivedMessage,pRankingOrderParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_RankingOrderParamDDL.h_H_
