#ifndef _Quazal_RankingRankDataDDL_H_
#define _Quazal_RankingRankDataDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingRankData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingRankData): public RootObject {
public:
    DDLCLASS(RankingRankData)():_mRevision_RankingRankData(1)
    , groups(0)    , commonData(0)     {};
    DDLCLASS(RankingRankData)(const DDLCLASS(RankingRankData) &oOther):
        RootObject(oOther),
        _mRevision_RankingRankData(oOther._mRevision_RankingRankData),
        principalId(oOther.principalId),
        uniqueId(oOther.uniqueId),
        order(oOther.order),
        category(oOther.category),
        score(oOther.score),
        groups(oOther.groups),
        param(oOther.param),
        commonData(oOther.commonData),
        updateTime(oOther.updateTime)
    {
    }
    virtual ~DDLCLASS(RankingRankData)() {};
    const DDLCLASS(RankingRankData) &operator=(const DDLCLASS(RankingRankData) &oOther);
    qBool operator==(const DDLCLASS(RankingRankData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingRankData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingRankData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingRankData) *pValue);
    qByte _mRevision_RankingRankData;
    qByte GetClassRevision_RankingRankData() const {return _mRevision_RankingRankData;}
    void SetClassRevision_RankingRankData(qByte revision) {_mRevision_RankingRankData=revision;}
    static qByte GetKnownMaxClassRevision_RankingRankData() {return 1;}
    DDLTYPE(uint32)::CPPType principalId;
    NEX_CLASS_VALID_REVISION_DEF(principalId, 0);
    qBool NEX_CLASS_ISVALID(principalId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType order;
    NEX_CLASS_VALID_REVISION_DEF(order, 0);
    qBool NEX_CLASS_ISVALID(order) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType groups;
    NEX_CLASS_VALID_REVISION_DEF(groups, 0);
    qBool NEX_CLASS_ISVALID(groups) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType param;
    NEX_CLASS_VALID_REVISION_DEF(param, 0);
    qBool NEX_CLASS_ISVALID(param) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType commonData;
    NEX_CLASS_VALID_REVISION_DEF(commonData, 0);
    qBool NEX_CLASS_ISVALID(commonData) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType updateTime;
    NEX_CLASS_VALID_REVISION_DEF(updateTime, 1);
    qBool NEX_CLASS_ISVALID(updateTime) const { return NEX_CLASS_VALID_REVISION(updateTime) <= _mRevision_RankingRankData;}
};


class DDLTYPE(RankingRankData): public DDLType {
public:
    typedef RankingRankData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingRankData)& oRankingRankData) {
        DDLCLASS(RankingRankData)::Add(pMessageToSend,oRankingRankData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingRankData)* pRankingRankDataToRefresh) {
        DDLCLASS(RankingRankData)::Extract(pReceivedMessage,pRankingRankDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_RankingRankDataDDL.h_H_
