/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _RankingResult_H_
#define _RankingResult_H_

#include <RendezVous/Services/Jugem/Ranking/src/Common/RankingResultDDL.h>
#include <RendezVous/Services/Jugem/Ranking/src/Common/RankingRankData.h>

BEGIN_NAMESPACE_NEX

#ifdef FOR_DOC_PURPOSE
/* Please see man pages for details 
    
 */
class RankingResult
#else
class RankingResult: public DDLCLASS(RankingResult)
#endif
{
public:
    /* Please see man pages for details 
        
    */
    RankingResult()
    {
        this->totalCount = 0;
    };

    /* Please see man pages for details 
        
    */
    virtual ~RankingResult() {};

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetTotalCount() const
    {
        return this->totalCount;
    };


    /* Please see man pages for details 
        

        
    */
    const qVector<RankingRankData>& GetRankDataList() const
    {
        return this->rankDataList;
    };

    /* Please see man pages for details 
        

        
    */
    DateTime GetSinceTime() const
    {
        return this->sinceTime;
    };

};

END_NAMESPACE_NEX

#endif /* _RankingResult_H_ */
