﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C) 2011-2014 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _SUBSCRIBER_GET_CONTENT_PARAM_H
#define _SUBSCRIBER_GET_CONTENT_PARAM_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "SubscriberGetContentParamDDL.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class SubscriberGetContentParam: public DDLCLASS(SubscriberGetContentParam)
{
public:
    /* Please see man pages for details 
        
    */
    SubscriberGetContentParam()
    {
        Reset();
    }

    /* Please see man pages for details 
        
    */
    virtual ~SubscriberGetContentParam() {}

    /* Please see man pages for details 
    

        

    
    */
    void SetTopic(const String& topic) { this->topic = topic; }

    /* Please see man pages for details 
    

    
    */
    const String& GetTopic() const { return topic; }

    /* Please see man pages for details 
    

        
        

    
    */
    void SetSize(qUnsignedInt32 size) { this->size = size; }

    /* Please see man pages for details 
    

    
    */
    qUnsignedInt32 GetSize() const { return size; }

    /* Please see man pages for details 
    

        

    
    */
    void SetOffset(qUnsignedInt32 offset) { this->offset = offset; }

    /* Please see man pages for details 
    

    
    */
    qUnsignedInt32 GetOffset() const { return offset; }


    /* Please see man pages for details 
        
    */
    void Reset()
    {
        SetTopic(_T(""));
        SetSize(20);
        SetOffset(0);
    }

    /* Please see man pages for details 
        

        
    */
    void Trace(qUnsignedInt64 uiTraceFlags=TRACE_ALWAYS) const
    {
        QTRACE(uiTraceFlags, *this);
    }

    /* Please see man pages for details 
        
        
    */
    inline friend StringStream& operator<<(StringStream& oStr, const SubscriberGetContentParam& rhs);
};

inline StringStream& operator<<(StringStream& oStr, const SubscriberGetContentParam& rhs)
{
    oStr << _T("SubscriberGetContentParam: (")
               << _T("topic=") << rhs.topic
               << _T(", size=") << rhs.size
               << _T(", offset=") << rhs.offset;
    oStr << _T(")");
    return oStr;
}

END_NAMESPACE_NEX

#endif
