﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C) 2011-2014 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _SUBSCRIBER_GET_FOLLOWER_RESULT_H
#define _SUBSCRIBER_GET_FOLLOWER_RESULT_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "SubscriberGetFollowerResultDDL.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class SubscriberGetFollowerResult: public DDLCLASS(SubscriberGetFollowerResult)
{
public:
    /* Please see man pages for details 
        
    */
    SubscriberGetFollowerResult()
    {
    }

    /* Please see man pages for details 
        
    */
    virtual ~SubscriberGetFollowerResult() {}

    /* Please see man pages for details 
    

    
    */
    const String& GetTopic() const { return topic; }

    /* Please see man pages for details 
    

        

    
    */
    qUnsignedInt32 GetTotalSize() const { return totalSize; }

    /* Please see man pages for details 
    

    
    */
    const qVector<PrincipalID>& GetFollowerPrincipalId() const { return pids; }


    /* Please see man pages for details 
        

        
    */
    void Trace(qUnsignedInt64 uiTraceFlags=TRACE_ALWAYS) const
    {
        QTRACE(uiTraceFlags, *this);
    }

    /* Please see man pages for details 
        
        
    */
    inline friend StringStream& operator<<(StringStream& oStr, const SubscriberGetFollowerResult& rhs);
};

inline StringStream& operator<<(StringStream& oStr, const SubscriberGetFollowerResult& rhs)
{
    oStr << _T("SubscriberGetContentParam: (")
               << _T("topic=") << rhs.topic
               << _T(", totalSize=") << rhs.totalSize;

    oStr << _T(", pids=(");
    for (qVector<PrincipalID>::const_iterator it = rhs.pids.begin(); it != rhs.pids.end(); ++it)
    {
        oStr << *it << _T(", ");
    }

    oStr << _T(")");
    return oStr;
}

END_NAMESPACE_NEX

#endif
